<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>Apusic应用服务器应用管理</title>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="baseUrl" value="${contextPath}/protect/application" />
<c:set var="resBase" value="${contextPath}/res" />
<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript"
	src="${resBase}/scripts/lib/underscore.js"></script>
<script type="text/javascript" src="${resBase}/scripts/aas-core.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<script type="text/javascript" src="${resBase}/scripts/form.js"></script>
<script type="text/javascript" src="${resBase}/scripts/app.js"></script>
<script type="text/javascript"
	src="${resBase}/scripts/server_file_selector.js"></script>

<link rel="stylesheet" type="text/css"
	href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css"
	href="${resBase}/css/selector.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/app.css" />
</head>
<body style="width: 100%;">
	 <div style="padding: 8px;">AAR管理</div>
	 <div id="buttonbar" style="margin-top: 5px;"></div>
	 <div id="dialog-confirm" title="确认" style="display: none;">
	        确认要删除？
     </div>
	<table id="factoryGrid"></table>
	<div id="addfile" style="display: '';">
		<form name="fileForm" id="fileForm" action="${baseUrl}/aarsave"  method="post" enctype="multipart/form-data">
			选择要部署的AAR包:<input id="clientFileFld" class="app_config_input" type="file" name="clientFile" />
			&nbsp; <input type="button" value="部署" id="btnDeploy" onclick="aarDeploy()"> &nbsp;
	        <input	type="hidden" name="appName" value="${appName}" />
		</form>
	</div>
</body>
<script type="text/javascript">
	var jmsFactoryBaseUrl = "${pageContext.request.contextPath}/protect/jms/factory";
	aas.initContext('${contextPath}');
	window.$a = AASMonitor.appMgmt;
	$a.baseUrl = '${baseUrl}';
	$(document).ready(function() {
		var deployMessage = "${message}";
		if(deployMessage) {
			if(deployMessage.indexOf("成功") != -1) {
				showMsgTip(deployMessage, "success");
			} else {
				showErrorTip(deployMessage);
			}
		}
		 $('#buttonbar').omButtonbar({
         	width : '100%',
         	btns : [{label:"卸载",
            			 id:"del",
            			 icons : {left : '${resBase}/images/delete.png'},
            	 		 onClick:function(){del();}
            	    },
            	    {
	    				label : "返回列表",
	    				id : "button1",
	    				icons : {
							left : '${resBase}/images/service.png'
						},
	    				onClick : function() {
	    					backToList();
	    				}
	    			}
         		]
        	 });

		$('#factoryGrid').omGrid({
			limit : 20,
			width : '100%',
			height : 500,
			autoFit : true,
			showIndex : false,
			singleSelect : false,
			colModel : [
					{
						header : 'AAR名称',
						name : 'name',
						width : 150,
						align : 'left',
						sort : 'clientSide'
					},					
					{
						header : '操作',
						name : 'maxPoolSize',
						width : 100,
						align : 'center',
						renderer : function(colValue, rowData,
								rowIndex) {
							var result = "<a href='#' onclick=\"deleteClick('" + rowData.name + "')\" title='卸载'><img style='border:0' src='${resBase}/images/delete.png'></a>";  
							return result;
						}
					} ],
			dataSource : $a.baseUrl+'/aarlist?name=${appName}'
		});
	});

	
	function aarDeploy() {
		var filename = $('#clientFileFld').val().trim().toLowerCase();
		if (filename.length == 0){
			showSelectAlert('请选择AAR文件');
		} else {
			var flag0 = filename.lastIndexOf(".aar");
			var flag1 = filename.lastIndexOf(".jar");
			if(flag0 > 0 || flag1 > 0) {
			  $('#fileForm').submit();
			} else {
				showSelectAlert('请选择AAR文件');
			}
		}
	}

	function query() {
		var queryName = $("#queryName").val();
		var state = $("#queryState").val();
		var url = jmsFactoryBaseUrl + '/aarlist?name=' + queryName + "&state="
				+ state;
		$('#factoryGrid').omGrid('setData', url);
	}

	function toModifyRow(value) {
		new aas.utils.ServerFileSelector({
			suffix : '.jar',
			allowFolder : false,
			callback : function(data) {
				save(data);
			}
		});
	}

	function save(value) {
		$.ajax({
			type : "post",
			async : false,
			dataType : "json",
			url : "${baseUrl}/aarsave",
			data : {
				appName : '${appName}',
				names : value
			},
			complete : function() {
			},
			error : function() {
				showErrorTip("部署失败！");
			},
			success : function(data) {
				if (data.state == "success") {
					$('#factoryGrid').omGrid("reload");
				}
				showMsgTip(data.desc, data.state);
				d.omDialog('destroy');
				d.remove();
			}
		});
	}

	function del() {
		var selecteds = $('#factoryGrid').omGrid("getSelections", true);
		if (selecteds.length <= 0) {
			showSelectAlert('请选择记录！');
			return;
		}
		var names = "";
		$(selecteds).each(function(index, item) {
			names += item.name + ",";
		});
		if (names.length > 0) {
			names = names.substring(0, names.length - 1);
		}
		deleteClick(names);
	}

	function delRow(value) {
		handleRows("${baseUrl}/aardel", value);
	}

	function handleRows(url, value) {
		$.ajax({
			type : "post",
			async : false,
			dataType : "json",
			url : url,
			data : {
				appName : '${appName}',
				names : value
			},
			error : function() {
				showErrorTip("更新失败！");
			},
			success : function(data) {
				if (data.state == "success") {
					$('#factoryGrid').omGrid("reload");
				}
				showMsgTip(data.desc, data.state);
			}
		});
	}

	function deleteClick(name) {
		$("#dialog-confirm").text("确认要卸载：" + name + " ？");
		$("#dialog-confirm").omDialog({
			autoOpen : false,
			resizable : false,
			height : 140,
			modal : false,
			buttons : [ {
				text : "确认",
				click : function() {
					$("#dialog-confirm").omDialog("close");
					delRow(name);
				}
			}, {
				text : "取消",
				click : function() {
					$("#dialog-confirm").omDialog("close");
				}
			} ]
		});

		$("#dialog-confirm").omDialog("open");
	}

	function showMsgTip(msg, type) {
		$.omMessageTip.show({
			type : type,
			title : '提示信息',
			content : msg,
			timeout : 3000
		});
	}

	function showErrorTip(msg) {
		$.omMessageTip.show({
			type : 'error',
			title : '失败',
			content : msg,
			timeout : 3000
		});
	}

	function showSelectAlert(msg) {
		$.omMessageBox.alert({
			title : '提示',
			content : msg
		});
	}

	function backToList() {
		location.href = "${baseUrl}";
	}
</script>
</html>
