<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta http-equiv="Cache-Control" content="no-cache" />
<title>Apusic应用服务器监控管理平台</title>

<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />

<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/login.css" />
<link class="x-skin" rel="stylesheet" type="text/css"
	href="${resBase}/css/main.css" />
<link class="x-skin" rel="stylesheet" type="text/css"
	href="${resBase}/css/om-ui/om-apusic.css" />
<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-rules.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<script type="text/javascript" src="${resBase}/scripts/form.js"></script>
<script type="text/javascript" src="${resBase}/scripts/navmenu.js"></script>
<script type="text/javascript">
	/* 如果session过期，则使顶层页面跳转到登录，避免iframe内嵌登录页面的问题 */
	if (window.parent.length > 0) {
		window.top.location.href = "${contextPath}/login";
	}

	$(document).ready(function() {
		setYear();
		validateModifyUserParams();
	});

    document.onkeydown=function(event){
    	var e = event || window.event || arguments.callee.caller.arguments[0];
    	if(e && e.keyCode==13){
    		checkParams();
		}
	}
    
    function setYear() {
        var date = new Date();
        var txt = date.getFullYear();
        document.getElementById("year").innerHTML = txt;
    }
    
	function validateModifyUserParams() {
		$('#user_params_form').validate(
				{
					validateOnEmpty : true,
					rules : {
						password : {
							required : true,
						},
						newpassword : {
							required : true,
							minlength : 8,
							maxlength : 15
						},
						renewpassword : {
							required : true,
							minlength : 8,
							maxlength : 15,
							equalTo : '#newpassword'
						}
					},
					messages : {
						password : {
							required : '密码不能为空!',
							minlength : '密码长度不能小于8!'
						},
						newpassword : {
							required : '新密码不能为空!',
							minlength : '新密码长度不能小于8!',
							maxlength : '新密码长度不能大于15!'
						},
						renewpassword : {
							required : '确认密码不能为空!',
							minlength : '确认密密码长度不能小于8!',
							maxlength : '确认密密码长度不能大于15!',
							equalTo : '两次输入不一致！',
						}
					},
					showErrors : function(errorMap, errorList) {
						var next = $(this.currentElements).next();
						while (next.hasClass('errorMsg')) {
							next.remove();
							next = $(this.currentElements).next();
						}
						$(this.currentElements).removeClass('error');
						$(this.currentElements).unbind('mouseover').unbind(
								'mouseout');
						if (errorList && errorList.length > 0) {
							$.each(errorList, function(index, obj) {
								$(obj.element).addClass('error');
								var msg = this.message;
								var em = $('<span class="errorMsg">{0}</span>'.format(msg));
								$(obj.element).after(em);
								$(obj.element).mouseover(function() {
									em.show();
								}).mouseout(function() {
									em.hide();
								});
							});
						}
					}
				});
	}
	function checkParams() {
		if ($("#user_params_form").validate().form()) {
			$("#user_params_form").submit();
		}
	}
</script>
</head>
<body>
    <table cellspacing="0" cellpadding="0" class="body-table">
        <tbody>
            <tr>
                <td align="center">
                      <div class="top-title">
                          <div class="top-title-img"></div>
                      </div>
                </td>
            </tr>
            <tr style="height: 100%;">
                <td align="center" class="middle-td">
                    <table cellspacing="0" cellpadding="0" class="middle-table-changePwd">
                        <tbody>
                            <tr valign="middle">
                                <td width="488" align="right">
                                    <form name="user_params_form" id="user_params_form"
										action="${contextPath}/changePassword" method="post">													
																			
                                        <table cellspacing="0" cellpadding="0" class="login-table">
                                            <tr  height="60">
                                                <td align="left">
                                                	<label class="login-title">修改密码</label>
                                                </td>
                                            </tr>
                                            
                                            <tr height="5"><td align="left"></td></tr>
                                            <tr  height="20">
                                                <td align="left">
                                                	<label class="login-text">原始密码：</label>
                                                	<input name="userName" id="userName" type="hidden" value="${username}" readonly="readonly" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left">
                                                	<input id="password" name="password" type="password" autocomplete="off" class="login-input"/>
                                                </td>
                                            </tr>
											<tr height="20">
												<td align="left"><label class="login-text">新密码：</label></td>
											</tr>
                                            <tr>
                                                <td align="left">
                                                	<input name="newpassword" id="newpassword" type="password" autocomplete="off" class="login-input"/>
                                                </td>
                                            </tr>											
											
											<tr height="20">
												<td align="left"><label class="login-text">确认密码：</label>
											</tr>                                            
                                            <tr>
                                                <td align="left">
                                                	<input id="renewpassword" name="renewpassword" type="password" autocomplete="off" class="login-input"/>
                                                </td>
                                            </tr>
                                             <tr  height="20">
                                                <td align="left">
                                                	<span class="errorMessage">${errorMsg}</span>
                                                </td>
                                            </tr>                                        

                                            <tr>
                                                <td align="left">
                                                    <img src="${resBase}/images/change_pwd_btn.gif" onclick="checkParams();" style="margin-left: 25px; cursor: pointer;">
                                                </td>
                                            </tr>
                                            <tr height="5">
                                                <td align="center"></td>
                                            </tr>
                                        </table>
                                    </form>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td style="vertical-align: bottom;">
                    <div class="footer">
                        <span>&copy; 2000-</span><span id="year">2016</span><a href="http://www.apusic.com" target="_blank" rel="noopener noreferrer">深圳市金蝶天燕中间件股份有限公司</a><span>，保留所有权利</span>
                        <a href="http://www.apusic.com/aboutus/connectUs.faces" target="_blank" rel="noopener noreferrer">联系我们</a>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
