<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Apusic应用服务器监控管理平台</title>
<c:set var="resBase" value="${pageContext.request.contextPath}/res" />
<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<script type="text/javascript" src="${resBase}/scripts/navmenu.js"></script>

<link rel="stylesheet" type="text/css"
    href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/summary.css"/>

</head>
<body>
	<div class="grid">
        <div class="grid-cell">
            <div class="grid-cell-box">
                <h3 class="grid-cell-box-header">Java虚拟机信息</h3>
                <div class="grid-cell-box-content">
                   		<c:out value="OS 架构:"></c:out>&nbsp;&nbsp;${osArch}<br>
                        <c:out value="OS 名称:"></c:out>&nbsp;&nbsp;${osName}<br>
                        <c:out value="OS 版本:"></c:out>&nbsp;&nbsp;${osVersion}<br>
                        <c:out value="VM 名称:"></c:out>&nbsp;&nbsp;${vmName}<br>
                        <c:out value="VM 版本:"></c:out>&nbsp;&nbsp;${vmVersion}<br>
                        <c:out value="VM 提供商:"></c:out>&nbsp;&nbsp;${vmProvider}<br>
                </div>
            </div>    
        </div>
        <div class="grid-cell">
			<div class="grid-cell-box">
                <h3 class="grid-cell-box-header">Bootstrap类路径</h3>
                <div class="grid-cell-box-content">
                    ${bootClassPath}
                </div>
            </div>
        </div>
        <div class="grid-cell">
            <div class="grid-cell-box">
                <h3 class="grid-cell-box-header">系统类路径</h3>
                <div class="grid-cell-box-content">
                    ${classPath}
                </div>
            </div>
        </div>
        <div class="grid-cell">
       		<div class="grid-cell-box">
                <h3 class="grid-cell-box-header">库路径</h3>
                <div class="grid-cell-box-content">
               	 	${libraryPath}
                </div>
            </div>
        </div>
        				       
	</div>
</body>
</html>