<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />

<script>
</script>
<style type="text/css">
	td.logtitle {
		color: #316AC5;
		line-height: 1.5em;
		padding-left: 5px;
		font-size:12px;
		width: 135px;
	}
	td.error {
		width: 30px;
	}
		
</style>
<div style="padding: 1px 1px;  width: 100%; overflow: hidden; background-color: #FFFFFF;">
	<form id="asconfig_classLoader_param_form" name="asconfig_classLoader_param_form">
        <table class="">
            <tr>
                <td class="logtitle">启用ClassLoaderViewer:</td>
                <td><input type="checkbox" id="classLoaderViewerEnabled" name=classLoaderViewerEnabled ${classLoaderViewerConfig.classLoaderViewerEnabled ? ' checked="checked"' : ' ' } /></td>
            </tr>
            <tr>
                <td class="logtitle">运行状态:</td>
                <td>
				<c:choose>
					<c:when test='${classLoaderViewerConfig.stateString eq "Running"}'>
						<span style="color: green">${classLoaderViewerConfig.stateString}</span>
					</c:when>
					<c:otherwise>
						<span style="color: red">${classLoaderViewerConfig.stateString}</span>
					</c:otherwise>
				</c:choose>                
                </td>
            </tr>
        </table>
    </form>
</div>
<script type="text/javascript">

	function saveClassLoaderConfig(Obj){
  		$.ajax({
			type : "post",
			async:false,
			dataType : "text",
			url :'${pageContext.request.contextPath}/protect/aasconfig/advance/updateClassLoader',
			data : $('#asconfig_classLoader_param_form').serialize(),
			error: function(){
				showMsgTip("请求错误,请重新提交!","error");
			},
			complete : function() {
				changeServerState('CLASSLOADER');
			},
			success : function(data) {
				if(data=="success"){
					showMsgTip("配置类加载查看成功！重启后生效!","success");
				}else{
					showMsgTip("配置类加载查看失败！","warning");
				}
				Obj.omDialog('destroy');
				Obj.remove();
			}
		});
	}

	function changeServerState(serverType){
		$.post( "${pageContext.request.contextPath}/protect/aasconfig/advance/getServerState",{serverType:serverType},
		function(data,status){
			if(data != '' && 'success' == status){
				$('#state_classloader').attr("class", data);
			}
		});
	}
	
</script>




