<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<form id="Http_session_store_param_form" name="Http_session_store_param_form">
	<div>
		存储方式： 
		<input type="radio" name="currentType"  ${model.currentType eq "FileSessionStore" ?'checked':''}  id="currentType" value="FileSessionStore">存储到文件 
		<input type="radio" name="currentType"  ${model.currentType eq "DBSessionStore" ?'checked':''}  id="currentType"  value="DBSessionStore">存储到DB
		<input type="radio" name="currentType"  ${model.currentType eq "SQLSessionStore" ?'checked':''}  id="currentType"  value="SQLSessionStore">SQL实现  
		<input type="radio" name="currentType"  ${model.currentType eq "CacheSessionStore" ?'checked':''}  id="currentType"  value="CacheSessionStore">Cache实现
	</div>
	
	<div id="FileSessionStore" style="display: none" >
		 <fieldset style="border: 1px solid #C8D0DE; padding-left:12px; padding-top:8px; padding-bottom : 8px; margin: 10px;">
	 		<legend >存储到文件</legend>
			<table>
				<tr>
					<td>开启stopRebuild策略:</td>
					<td>
						<c:choose>
							<c:when test='${model.currentType eq "FileSessionStore"}'>
								<input type="checkbox" name="rebuildStoreOnShutDown"  id="rebuildStoreOnShutDown" ${model.rebuildStoreOnShutDown  ?'checked':''} >
							</c:when>
							<c:otherwise>
								<input type="checkbox" name="rebuildStoreOnShutDown"  id="rebuildStoreOnShutDown" >
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td>最大Rebuild策略值(MB):</td>
					<td><input type="text" name="rebuildStoreOnMaxFileSize" id="rebuildStoreOnMaxFileSize" 
					value="${(empty model.rebuildStoreOnMaxFileSize)  ? -1: model.rebuildStoreOnMaxFileSize}">
					<span style="color:red">*</span>
					</td>
				</tr>
				<tr>
					<td>定时Rebuild策略:</td>
					<td><input type="text" name="rebuildStoreOnSchedule" id="rebuildStoreOnSchedule" value="${model.rebuildStoreOnSchedule}"></td>
				</tr>
				<tr>
					<td>Session保存目录:</td>
					<td>
					<input type="text" name="directory" id="directory" value='${(empty model.directory) ? "store/http_sessions":model.directory}'>
					<span style="color:red">*</span>
					</td>
				</tr>
			<c:if test='${model.currentType eq "FileSessionStore"}'>
				<tr>
					<td>运行状态:</td>
					<td>
						<c:choose>
							<c:when test='${model.stateString eq "Running"}'>
								<span style="color: green">${model.stateString}</span>
							</c:when>
							<c:otherwise>
								<span style="color: red">${model.stateString}</span>
							</c:otherwise>
							</c:choose>
					</td>
				</tr>
			</c:if>
			</table>
		</fieldset>
	</div>
		
	<div id="DBSessionStore"  style="display: none" >
		 <fieldset style="border: 1px solid #C8D0DE; padding-left:12px; padding-top:8px; padding-bottom : 8px; margin: 10px;">
	 		<legend >存储到DB</legend>
			<table>
				<tr>
					<td>开启stopRebuild策略</td>
					<td>
						<c:choose>
							<c:when test='${model.currentType eq "DBSessionStore"}'>
								<input type="checkbox" name="rebuildStoreOnShutDown"  id="rebuildStoreOnShutDown" ${model.rebuildStoreOnShutDown  ?'checked':''} >
							</c:when>
							<c:otherwise>
								<input type="checkbox" name="rebuildStoreOnShutDown"  id="rebuildStoreOnShutDown" >
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td>最大Rebuild策略值(MB):</td>
					<td>
					<input type="text" name="rebuildStoreOnMaxFileSize" id="rebuildStoreOnMaxFileSize" value='${model.rebuildStoreOnMaxFileSize eq null ? 1024 :model.rebuildStoreOnMaxFileSize}'>
					<span style="color:red">*</span>
					</td>
				</tr>
				<tr>
					<td>定时Rebuild策略:</td>
					<td><input type="text" name="rebuildStoreOnSchedule" id="rebuildStoreOnSchedule"></td>
				</tr>
				<tr>
					<td>Session保存目录:</td>
					<td>
					<input type="text" name="directory" id="directory" value='${model.directory eq null ? "store/http_sessions":model.directory}'>
					<span style="color:red">*</span>
					</td>
				</tr>
				<c:if test='${model.currentType eq "DBSessionStore"}'>
					<tr>
						<td>运行状态:</td>
						<td>
							<c:choose>
							<c:when test='${model.stateString eq "Running"}'>
								<span style="color: green">${model.stateString}</span>
							</c:when>
							<c:otherwise>
								<span style="color: red">${model.stateString}</span>
							</c:otherwise>
							</c:choose>
						</td>
					</tr>
			</c:if>
			</table>
		</fieldset>
	</div>
	
	<div id="SQLSessionStore"  style="display: none" >
		<fieldset style="border: 1px solid #C8D0DE; padding-left:12px; padding-top:8px; padding-bottom : 8px; margin: 10px;">
	 		<legend >SQL实现 </legend>
			<table>
				<tr>
					<td>数据源名称:</td>
					<td>
					<input type="text" name="dataSourceName" id="dataSourceName" value='${model.dataSourceName eq null ?"jdbc/sample": model.dataSourceName }'>
					<span style="color:red">*</span>
					</td>
				</tr>
				<tr>
					<td>表名称:</td>
					<td>
					<input type="text" name="tableName" id="tableName" value='${model.tableName eq null ?"t_httpsession": model.tableName }'>
					<span style="color:red">*</span>
					</td>
				</tr>
				<tr>
					<td>创建表语句:</td>
					<td>
						<c:choose>
								<c:when test="${model.createTableSQL eq null}">
									<textarea rows="10" cols="50" name="createTableSQL" id="createTableSQL">CREATE TABLE t_httpsession (f_id VARCHAR(255) NOT NULL,f_timestamp BIGINT NOT NULL,f_session LONG VARCHAR FOR BIT DATA,CONSTRAINT PK_httpsession PRIMARY KEY(f_id))</textarea>
								</c:when>
								<c:otherwise>
									<textarea rows="10" cols="50" name="createTableSQL" id="createTableSQL">${model.createTableSQL }</textarea>
								</c:otherwise>
						</c:choose>
					</td>
				</tr>
			<c:if test='${model.currentType eq "SQLSessionStore"}'>
					<tr>
						<td >运行状态:</td>
						<td>
							<c:choose>
							<c:when test='${model.stateString eq "Running"}'>
								<span style="color: green">${model.stateString}</span>
							</c:when>
							<c:otherwise>
								<span style="color: red">${model.stateString}</span>
							</c:otherwise>
							</c:choose>
						</td>
					</tr>
			</c:if>
			</table>
		</fieldset>
	</div>
	<div id="CacheSessionStore" style="display: none" >
		<fieldset style="border: 1px solid #C8D0DE; padding-left:12px; padding-top:8px; padding-bottom : 8px; margin: 10px;">
	 		<legend >Cache实现 </legend>
				<table>
				<tr>
					<td>存储地址:</td>
					<td>
						<input type="text" name="serverAddress" id="serverAddress" value="${model.serverAddress}">
						<span style="color:red">*</span>
					</td>
				</tr>
				<tr>
					<td>备份存储地址:</td>
					<td><input type="text" name="backupServerAddress" id="backupServerAddress" value="${model.backupServerAddress}"></td>
				</tr>
				<tr>
					<td>缓存池大小:</td>
					<td>
						<input type="text" name="connectionPoolSize" id="connectionPoolSize"  value="${model.connectionPoolSize eq null?1:model.connectionPoolSize}">
						<span style="color:red">*</span>
					</td>
				</tr>
				<tr>
					<td>开启二进制协议:</td>
					<td><input type="checkbox" name="startBinaryProtocol" id="startBinaryProtocol" ${model.startBinaryProtocol?'checked':'' }></td>
				</tr>
				<tr>
					<td>是TokyoTyrant服务器:</td>
					<td><input type="checkbox" name="tokyoTyrant" id="tokyoTyrant" ${model.tokyoTyrant ? 'checked':'' }></td>
				</tr>
				<tr>
					<td>开启一致性哈希:</td>
					<td><input type="checkbox" name="startConsistentHash" id="startConsistentHash"  ${model.startConsistentHash?'checked':'' }></td>
				</tr>
				<c:if test='${model.currentType eq "CacheSessionStore"}'>
					<tr>
						<td >运行状态:</td>
						<td>
							<c:choose>
							<c:when test='${model.stateString eq "Running"}'>
								<span style="color: green">${model.stateString}</span>
							</c:when>
							<c:otherwise>
								<span style="color: red">${model.stateString}</span>
							</c:otherwise>
							</c:choose>
						</td>
					</tr>
			</c:if>
			</table>
		</fieldset>
	</div>
</form>
<script type="text/javascript">
	function httpSessionStrore_Init(){
		selectedType('${model.currentType}');
		
		$('#Http_session_store_param_form').validate({
		    validateOnEmpty : true,
		    rules : {
		    	directory : {
		            required : true,
		        },
		        rebuildStoreOnMaxFileSize : {
		        	required : true,
		        	isInteger : true,
		        },
		        dataSourceName : {
		            required : true,
		        },
		        tableName : {
		            required : true,
		        },
		        serverAddress : {
		            required : true,
		        },
		        connectionPoolSize : {
		        	required : true,
		        	range:[1,20]
		        }
		    },
		    messages : {
		    	directory : {
		            required : '值不能为空!'
		        },
		        rebuildStoreOnMaxFileSize : {
		        	  required : '值不能为空!',
		        	digits : '请输入数字!'
		        },
		   		dataSourceName : {
		            required : '值不能为空!'
		   		 },
		   		tableName : {
		          required : '值不能为空!'
		 		 },
		 		serverAddress : {
		            required : '值不能为空!'
		   		 },
		 		 connectionPoolSize : {
		         	required : "值不能为空!",
		         	range : '请输入{0}和{1}之间的整数!',
		         }
		    },
		    showErrors: function(errorMap, errorList) {
		        var next = $(this.currentElements).next();
		        while(next.hasClass('errorMsg')) {
		            next.remove();
		            next = $(this.currentElements).next();
		        }
		        $(this.currentElements).removeClass('error');
		        $(this.currentElements).unbind('mouseover').unbind('mouseout');
		        if(errorList && errorList.length > 0){
		            $.each(errorList, function(index, obj){
		                $(obj.element).addClass('error');
		                var msg = this.message;
		                var em = $('<span class="errorMsg">{0}</span>'.format(msg));
		                $(obj.element).after(em);
		                $(obj.element).mouseover(function() {
		                    em.show();
		                }).mouseout(function() {
		                    em.hide();
		                });
		            });
		        }
		    }
		});	
		

		$("input[type=radio][name=currentType]").change(function() {
			if(this.checked){
				selectedType(this.value);
			}
		}); 
	}

	
	function selectedType(type){
		$("#FileSessionStore").css("display","none").find("input").attr("disabled",true);
		$("#DBSessionStore").css("display","none").find("input").attr("disabled",true);
		$("#SQLSessionStore").css("display","none").find("input").attr("disabled",true);
		$("#CacheSessionStore").css("display","none").find("input").attr("disabled",true);
		
		$("#"+type).css("display","block").find("input").attr("disabled",false);
	}
</script>
