<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<div style="overflow: hidden; width: 100%; height: 100%;">
    <form id="asconfig_muxHandler_form" action="${contextPath}/protect/aasconfig/threadpool/updateMuxHandler" method="post">
        <table class="">
            <tr>
                <td class="logtitle">线程池名称:</td>
                <td><input type="text" class="f2j loginput" id="threadPoolName" name="threadPoolName" readonly="true" value="${info.threadPoolName}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">等待超时时间(秒):</td>
                <td><input type="text" class="f2j loginput" name="idleTimeout" value="${info.idleTimeout}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">队列长度:</td>
                <td><input type="text" class="f2j loginput" name="maxQueueSize" value="${info.maxQueueSize}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">最大线程数:</td>
                <td><input type="text" class="f2j loginput" name="maxThreads" value="${info.maxThreads}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">最大空闲线程数:</td>
                <td><input type="text" class="f2j loginput" name="maxSpareThreads" value="${info.maxSpareThreads}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">最小空闲线程数:</td>
                <td><input type="text" class="f2j loginput" name="minSpareThreads" value="${info.minSpareThreads}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">线程优先级:</td>
                <td><input type="text" class="f2j loginput" name="priority" value="${info.priority}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">线程的最大寿命（秒）:</td>
                <td><input type="text" class="f2j loginput" name="maxLifeSpan" value="${info.maxLifeSpan}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
            <tr>
                <td class="logtitle">线程重生间隔（毫秒）:</td>
                <td><input type="text" class="f2j loginput" name="threadRenewalDelay" value="${info.threadRenewalDelay}"/></td>
                <td class="error"><span class="errorImg"></span><span class="errorMsg"></span></td>
            </tr>
        </table>
    </form>
      <div style="margin-top:10px;padding:0; width:580px;height:1px;background-color:#99A8BC;overflow:hidden;"> </div>
    <!--
        <div id="MuxHandler_stop" style="margin-top: 10px;">
             <a href="#" style="text-decoration: none; cursor:pointer; " onclick="stopClick('MuxHandler','${contextPath}');">
                <img src="${resBase}/images/stop.png" border="0px" hspace="5" align="left"/>停止线程池服务
             </a>
         </div>
          <div id="MuxHandler_start" style="margin-top: 10px;display:none">
             <a href="#" style="text-decoration: none; cursor:pointer; " onclick="startClick('MuxHandler','${contextPath}');">
                <img src="${resBase}/images/start.png" border="0px" hspace="5" align="left"/>启动线程池服务
             </a>
         </div>
        <div style="margin-top: 10px;">
             <a href="#" style="text-decoration: none; cursor:pointer; " onclick="restartClick('MuxHandler','${contextPath}');">
                <img src="${resBase}/images/restart.png" border="0px" hspace="5" align="left"/>重启线程池服务
             </a>
         </div>
         -->
        <div style="margin-top: 5px;margin-left: 5px;">
            <strong> 线程池服务状态：</strong>  
			<c:choose>	
				<c:when test='${info.stateString eq "Running"}'>
					<span id="MuxHandler_state" style="color:green">${info.stateString}</span>
				</c:when>
				<c:otherwise>
					<span id="MuxHandler_state" style="color:red">${info.stateString}</span>
				</c:otherwise>
			</c:choose>
        </div>   
</div>
