<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<style type="text/css">
span.color_red {
	color: red;
}
</style>
<form id="datasource_refresh_config">
<table>
	<tr>
		<td>刷新时间(秒):</td>
		<td><input type="text" name="refreshTime" value="${refreshTime}"/><span class="color_red">*</span></td>
	</tr>
</table>
</form>

<script type="text/javascript">

	$(document).ready(function() {
        datasource_refresh_init();
    });

	function datasource_refresh_init() {
		$("#datasource_refresh_config").validate({
	    	rules : {
                refreshTime : {
	    			required : true,
	       		 	isInteger  : true,
					min: 1,
					max: 3600
	              }
	          },
	          messages : {
                  refreshTime: {
                      required: "刷新时间不能为空",
                      isInteger: "请输入有效的整数",
                      min: "最小值为1",
                      max: "最大值为3600"
                  },
              },
	          showErrors: function(errorMap, errorList) {
	              var next = $(this.currentElements).next();
	              while(next.hasClass('errorMsg')) {
	                  next.remove();
	                  next = $(this.currentElements).next();
	              }
	              $(this.currentElements).removeClass('error');
	              $(this.currentElements).unbind('mouseover').unbind('mouseout');
	
	              if(errorList && errorList.length > 0){
	                  $.each(errorList, function(index, obj){
	                      $(obj.element).addClass('error');
	                      var msg = this.message;
	                      var em = $('<span class="errorMsg">{0}</span>'.format(msg));
	                      $(obj.element).after(em);
	                      $(obj.element).mouseover(function() {
	                          em.show();
	                      }).mouseout(function() {
	                          em.hide();
	                      });
	                  });
	              }
	          }
	      });
	}
</script>
