<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>JMS Main Page</title>
<c:set var="resBase" value="${pageContext.request.contextPath}/res" />
<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>

<link class="x-skin" rel="stylesheet" type="text/css" href="${resBase}/css/om-ui/om-apusic.css" />
<link class="x-skin" rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link class="x-skin" rel="stylesheet" type="text/css" href="${resBase}/css/main.css" />

<style type="text/css">
.om-tabs .om-tabs-headers {
	border-top: none;
	border-left: none;
	border-right: none;
}
</style>
</head>
<body>
<div style="width: 100%; height:100%; overflow: hidden;">
	<div style="border: 1px solid #99A8BC; margin: 8px; height: 98%; ">
	<div id="make-tab" >
		<div id="tab1" >
			<iframe name="tab1Frame" src="${pageContext.request.contextPath}/protect/jms/factory" width="100%" height="100%"   frameBorder='0'></iframe>
		</div>
		<div id="tab2" >
			<iframe name="tab2Frame" width="100%" height="100%"   frameBorder='0'></iframe>
		</div>
		<div id="tab3" >
			<iframe name="tab3Frame" width="100%" height="100%"   frameBorder='0'></iframe>
		</div>
		<ul>
			<li><a href="#tab1">JMS连接器</a></li>
			<li><a href="#tab2">JMS队列</a></li>
			<li><a href="#tab3">JMS主题</a></li>
		</ul>
	</div>
	</div>
</div>	
</body>
 <script>
        $(function() {
            $('#make-tab').omTabs({
                closable : false,
                border:false,
                height: 'fit',
                lazyLoad : true,
                onActivate : function(n) {
                	if( n == 1 && ($('#tab2 iframe').attr('src') == undefined || $('#tab2 iframe').attr('src') == null || $('#tab2 iframe').attr('src').trim().length ==0)) {
                		$('#tab2 iframe').attr('src', '${pageContext.request.contextPath}/protect/jms/queue');
                	}else if( n == 2 && ($('#tab3 iframe').attr('src') == undefined || $('#tab3 iframe').attr('src') == null || $('#tab3 iframe').attr('src').trim().length ==0)) {
                		$('#tab3 iframe').attr('src', '${pageContext.request.contextPath}/protect/jms/topic');
                	}
                }
            });

            $('.om-panel').height('100%');
            $('.om-panel-body').height('100%');
        });
    </script>
</html>