<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form id="jndi_resource_form" method="post" action="${pageContext.request.contextPath}/protect/jndi/saveJndiMailResource">
    <table class="tableUI">
    	<tr>
			<td class="tdLeft">资源名称：</td>
			<td class="tdRight">
				<input type="text" name="jndiName" class="inputUI"/>
			</td>
			<td class="tdLeft">资源类名：</td>
			<td class="tdRight">
				<input type="text" name="resourceType" value="javax.mail.Session" readonly="readonly" class="inputUI" style="background:#CCCCCC"/>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">邮件主机：</td>
			<td class="tdRight">
				<input type="text" name="mail.host" class="inputUI"/>
			</td>
			<td class="tdLeft">默认用户：</td>
			<td class="tdRight">
				<input type="text" name="mail.user" class="inputUI"/>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">默认邮件发件人地址：</td>
			<td class="tdRight">
				<input type="text" name="mail.from" class="inputUI"/>
			</td>
			<td class="tdLeft">存储协议：</td>
			<td class="tdRight">
				<select name="mail.store.protocol" class="inputUI" onchange="changeMailStoreProtocol(this)">
					<option value="pop3">pop3</option>
					<option value="imap">imap</option>
				</select>
			</td>
		</tr>
    	<tr>
			<td class="tdLeft">存储协议类：</td>
			<td class="tdRight">
				<input type="text" value="com.sun.mail.pop3.POP3Store" id="mail_store_class" name="mail.store.class" class="inputUI"/>
			</td>
			<td class="tdLeft">传输协议：</td>
			<td class="tdRight">
				<select name="mail.transport.protocol" class="inputUI">
					<option value="smtp">smtp</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">传输协议类：</td>
			<td class="tdRight">
				<input type="text" name="mail.smtp.class" value="com.sun.mail.smtp.SMTPTransport" class="inputUI"/>
			</td>
			<td class="tdLeft">调试模式：</td>
			<td class="tdRight">
				<select name="mail.debug" class="inputUI">
					<option value="false">false</option>
					<option value="true">true</option>
				</select>
			</td>
		</tr>
    </table>
    <fieldset>
        <legend>
            <span>其他属性：</span>
            <a onclick="addAttr();">增加属性</a>
        </legend>
        <div style="height: 150px; overflow: auto">
        	<table id="attrTb" class="tableUI">
            	<thead>
                	<tr>
                    	<th class="tdCenter">属性名称</th>
                    	<th class="tdCenter">属性值</th>
                    	<th class="tdCenter">操作</th>
                	</tr>
           		</thead>
            	<tbody>
            	</tbody>
        	</table>
        </div>
    </fieldset>
</form>