<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form id="jndi_resource_form" method="post" action="${pageContext.request.contextPath}/protect/jndi/saveJndiResource">
    <input type="hidden" name="isUpdate" value="true"/>
    <table class="tableUI">
    	<tr>
			<td class="tdLeft">资源名称：</td>
			<td class="tdRight">
				<input type="text" name="jndiName" value="${model.jndiName}" class="inputUI" readonly="readonly" style="background:#CCCCCC"/>
			</td>
			<td class="tdLeft">资源类名：</td>
			<td class="tdRight">
				<input type="text" name="resourceType" class="inputUI" value="${model.resourceType}"/>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">资源工厂：</td>
			<td class="tdRight">
				<input type="text" name="factoryClass" class="inputUI" value="${model.factoryClass}"/>
			</td>
			<td class="tdLeft">是否单例：</td>
			<td class="tdRight">
				<select class="inputUI" name="singleton">
					<c:if test="${model.singleton}">
						<option value="true" selected="selected">是</option>
						<option value="false">否</option>
					</c:if>
					<c:if test="${!model.singleton}">
						<option value="true">是</option>
						<option value="false" selected="selected">否</option>
					</c:if>
				</select>
			</td>
		</tr>
    </table>
    <fieldset>
        <legend>
            <span>构造函数参数列表：</span>
            <a onclick="addArgsAttr();">增加参数</a>
        </legend>
        <div style="height: 150px; overflow: auto">
        	<table id="argsTb" class="tableUI">
            	<thead>
                	<tr>
                    	<th class="tdCenter">参数类型</th>
                    	<th class="tdCenter">参数值</th>
                    	<th class="tdCenter">操作</th>
                	</tr>
            	</thead>
            	<tbody>
            		<c:forEach items="${model.constructsList}" var="args" varStatus="vs">
            			<tr> 
    						<td class="tdCenter"><input name="argsType${vs.index}" value="${args[0]}" type="text" class="inputUI"/></td>
    						<td class="tdCenter"><input name="argsValue${vs.index}" value="${args[1]}" type="text" class="inputUI"/></td>
    						<td class="tdCenter"><a onclick="removeAttr(this);">删除</a></td>
    	 				</tr>
            		</c:forEach>
            	</tbody>
        	</table>
        </div>
    </fieldset>
    <fieldset>
        <legend>
            <span>属性列表：</span>
            <a onclick="addAttr();">增加属性</a>
        </legend>
        <div style="height: 150px; overflow: auto">
        	<table id="attrTb" class="tableUI">
            	<thead>
                	<tr>
                    	<th class="att_key">属性名称</th>
                    	<th class="att_value">属性值</th>
                    	<th class="att_oper">操作</th>
                	</tr>
           		</thead>
            	<tbody>
            		<c:forEach items="${model.bridgesMap}" var="p" varStatus="vs">
            			<tr> 
    						<td class="tdCenter"><input name="pName${vs.index}" value="${p.key}" type="text" class="inputUI"/></td>
    						<td class="tdCenter"><input name="pValue${vs.index}" value="${p.value}" type="text" class="inputUI"/></td>
    						<td class="tdCenter"><a onclick="removeAttr(this);">删除</a></td>
    	 				</tr>
            		</c:forEach>
            	</tbody>
        	</table>
        </div>
    </fieldset>
</form>