<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<script>
</script>
<style type="text/css">
	td.logtitle {
		width: 110px;
		font-size:12px;
		font-family: 新宋体;
		color: #333;
	}
	input.loginput{
		width: 100px;
		margin-right: 15px;
	}
</style>
<div>
	<form id="globalLogConfig_form" name="globalLogConfig_form">
	    <div id="win_console">
	        <table class="">
	        	<tr>
	        	  	<td align="left" colspan="6">
	        	  		<input type="checkbox" id="checkbox-console" class="f2j" name="selectConsole" ${logViewBean.selectConsole ? ' checked="checked"' : ' ' } onclick="selectCheckbox(this.id,this.checked);"/>
	        	  		<span style="font-size: small; color: #0066CC">控制台输出</span>
						<hr style="width: 100%; height: 1px; border: none; border-top: 1px dashed #0066CC;" />
					</td>
	        	</tr>
	            <tr>
	                <td class="logtitle">日志级别：</td>
	                <td>
		                <select id="checkbox-console-input" class="f2j" name="consoleHandler.level" style="width: 105px;">
		                	<option  value="ALL" ${logViewBean.consoleHandler.level eq 'ALL' ? 'selected' : '' }>全部</option>
		                	<option  value="DEBUG" ${logViewBean.consoleHandler.level eq 'DEBUG' ? 'selected' : '' }>调试</option>
							<option value="INFO" ${logViewBean.consoleHandler.level eq 'INFO' ? 'selected' : '' }>报告</option>
							<option  value="NOTICE" ${logViewBean.consoleHandler.level eq 'NOTICE' ? 'selected' : '' }>注意</option>							
							<option  value="WARNING" ${logViewBean.consoleHandler.level eq 'WARNING' ? 'selected' : '' }>警告</option>
							<option  value="ERROR" ${logViewBean.consoleHandler.level eq 'ERROR' ? 'selected' : '' }>错误</option>
							<option  value="FATAL" ${logViewBean.consoleHandler.level eq 'FATAL' ? 'selected' : '' }>重大</option>
							<option  value="OFF" ${logViewBean.consoleHandler.level eq 'OFF' ? 'selected' : '' }>关闭</option>
						</select>
	                </td>
	                
	                <td class="logtitle">输出字符集：</td>
	                <td ><input type="text" class="f2j loginput"  id="checkbox-console-input" name="consoleHandler.encoding" onblur="checkInput('consoleHandler\\.encoding');" value="${logViewBean.consoleHandler.encoding}"/></td>
	                <td colspan="2"></td>
	            </tr>
	            <tr>
	                <td class="logtitle">过滤器类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-console-input" name="consoleHandler.filter" onblur="checkInput('consoleHandler\\.filter');" value="${logViewBean.consoleHandler.filter}" /></td>
	                
	                <td class="logtitle">格式化类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-console-input" name="consoleHandler.formatter" onblur="checkInput('consoleHandler\\.formatter');" value="${logViewBean.consoleHandler.formatter}"/></td>
	                
	                <td colspan="2"></td>
	            </tr>
	        </table>
	    </div>
	    <div id="win_webConsole">
	        <table class="">
	        	<tr>
	        	  	<td align="left" colspan="6">
	        	  		<input type="checkbox" id="checkbox-webConsole" class="f2j" name="selectWebCons" ${logViewBean.selectWebCons ? ' checked="checked"' : ' ' } onclick="selectCheckbox(this.id,this.checked);"/>
	        	  		<span style="font-size: small; color: #0066CC">WEB控制台输出</span>
						<hr style="width: 100%; height: 1px; border: none; border-top: 1px dashed #0066CC;" />
					</td>
	        	</tr>
	            <tr>
	                <td class="logtitle">日志级别：</td>
	                <td>
		                <select id="checkbox-webConsole-input" class="f2j" name="webConsoleHandler.level" style="width: 105px;">
		                	<option  value="ALL" ${logViewBean.webConsoleHandler.level eq 'ALL' ? 'selected' : '' }>全部</option>
		                	<option  value="DEBUG" ${logViewBean.webConsoleHandler.level eq 'DEBUG' ? 'selected' : '' }>调试</option>
							<option value="INFO" ${logViewBean.webConsoleHandler.level eq 'INFO' ? 'selected' : '' }>报告</option>
							<option  value="NOTICE" ${logViewBean.webConsoleHandler.level eq 'NOTICE' ? 'selected' : '' }>注意</option>							
							<option  value="WARNING" ${logViewBean.webConsoleHandler.level eq 'WARNING' ? 'selected' : '' }>警告</option>
							<option  value="ERROR" ${logViewBean.webConsoleHandler.level eq 'ERROR' ? 'selected' : '' }>错误</option>
							<option  value="FATAL" ${logViewBean.webConsoleHandler.level eq 'FATAL' ? 'selected' : '' }>重大</option>
							<option  value="OFF" ${logViewBean.webConsoleHandler.level eq 'OFF' ? 'selected' : '' }>关闭</option>
						</select>
	                </td>
	                
	                <td class="logtitle">输出字符集：</td>
	                <td ><input type="text" class="f2j loginput"  id="checkbox-webConsole-input" name="webConsoleHandler.encoding" onblur="checkInput('webConsoleHandler\\.encoding');" value="${logViewBean.webConsoleHandler.encoding}"/></td>
	                <td colspan="2"></td>
	            </tr>
	            <tr>
	                <td class="logtitle">过滤器类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-webConsole-input" name="webConsoleHandler.filter" onblur="checkInput('webConsoleHandler\\.filter');" value="${logViewBean.webConsoleHandler.filter}" /></td>
	                
	                <td class="logtitle">格式化类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-webConsole-input" name="webConsoleHandler.formatter" onblur="checkInput('webConsoleHandler\\.formatter');" value="${logViewBean.webConsoleHandler.formatter}"/></td>
	                
	                <td colspan="2"></td>
	            </tr>
	        </table>
	    </div>
	    <div id="win_dateFile">
	        <table class="">
				<tr>
	        	  	<td align="left" colspan="6">
	        	  		<input type="checkbox" id="checkbox-dateFile" class="f2j" name="selectDateFile" ${logViewBean.selectDateFile ? ' checked="checked"' : ' ' } onclick="selectCheckbox(this.id,this.checked);" />
	        	  		<span style="font-size: small; color: #0066CC">日期文件输出</span>
						<hr style="width: 100%; height: 1px; border: none; border-top: 1px dashed #0066CC;" />
					</td>
	        	</tr>		        
	            <tr>
	                <td class="logtitle">日志级别：</td>
	                <td>
		                <select id="checkbox-dateFile-input" class="f2j" name="dateFileHandler.level" style="width: 105px;">
		                	<option  value="ALL" ${logViewBean.dateFileHandler.level eq 'ALL' ? 'selected' : '' }>全部</option>
		                	<option  value="DEBUG" ${logViewBean.dateFileHandler.level eq 'DEBUG' ? 'selected' : '' }>调试</option>
							<option value="INFO" ${logViewBean.dateFileHandler.level eq 'INFO' ? 'selected' : '' }>报告</option>
							<option  value="NOTICE" ${logViewBean.dateFileHandler.level eq 'NOTICE' ? 'selected' : '' }>注意</option>							
							<option  value="WARNING" ${logViewBean.dateFileHandler.level eq 'WARNING' ? 'selected' : '' }>警告</option>
							<option  value="ERROR" ${logViewBean.dateFileHandler.level eq 'ERROR' ? 'selected' : '' }>错误</option>
							<option  value="FATAL" ${logViewBean.dateFileHandler.level eq 'FATAL' ? 'selected' : '' }>重大</option>
							<option  value="OFF" ${logViewBean.dateFileHandler.level eq 'OFF' ? 'selected' : '' }>关闭</option>
						</select>
					</td>
	                
	                <td class="logtitle">文件名产生模式：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-dateFile-input" name="dateFileHandler.fileName" onblur="checkInput('dateFileHandler\\.fileName');" value="${logViewBean.dateFileHandler.fileName}"/></td>
	                
					<td class="logtitle">循环文件集合大小：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-dateFile-input" name="dateFileHandler.count" onblur="checkInput('dateFileHandler\\.count');" value="${logViewBean.dateFileHandler.count}" style="margin-right: 1px;"/></td>
	            </tr>
	            <tr>
	                <td class="logtitle">输出字符集：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-dateFile-input" name="dateFileHandler.encoding" onblur="checkInput('dateFileHandler\\.encoding');" value="${logViewBean.dateFileHandler.encoding}"/></td>
	                
	                <td class="logtitle">格式化类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-dateFile-input" name="dateFileHandler.formatter" onblur="checkInput('dateFileHandler\\.formatter');" value="${logViewBean.dateFileHandler.formatter}"/></td>
	                
	                <td class="logtitle">日志基础目录：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-dateFile-input" name="dateFileHandler.path" onblur="checkInput('dateFileHandler\\.path');" value="${logViewBean.dateFileHandler.path}" style="margin-right: 1px;"/></td>
	            </tr>
	            
	            <tr>
	                <td class="logtitle">过滤器类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-dateFile-input" name="dateFileHandler.filter" onblur="checkInput('dateFileHandler\\.filter');" value="${logViewBean.dateFileHandler.filter}"/></td>
	                
	                <td class="logtitle">输出最大值(Byte)：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-dateFile-input" name="dateFileHandler.limit" onblur="checkInput('dateFileHandler\\.limit');" value="${logViewBean.dateFileHandler.limit}"/></td>
	                
	                <td class="logtitle">日志文件按天生成：</td>
	                <td><input type="checkbox" class="f2j" id="checkbox-dateFile-input" name="dateFileHandler.strict" value="true"  ${logViewBean.dateFileHandler.strict ? ' checked="checked"' : ' ' } /></td>
	            </tr>
	        </table>
	    </div>
	    <div id="win_file">
	        <table class="grid_layout">
				<tr>
	        	  	<td align="left" colspan="6">
	        	  		<input type="checkbox" id="checkbox-file" class="f2j" name="selectFile" ${logViewBean.selectFile ? ' checked="checked"' : ' ' } onclick="selectCheckbox(this.id,this.checked);"/>
	        	  		<span style="font-size: small; color: #0066CC">日志文件输出</span>
						<hr style="width: 100%; height: 1px; border: none; border-top: 1px dashed #0066CC;" />
					</td>
	        	</tr>		        
	            <tr>
	                <td class="logtitle">日志级别：</td>
	                <td>
		                <select id="checkbox-file-input" class="f2j" name="fileHandler.level" style="width: 105px;">
		                	<option  value="ALL" ${logViewBean.fileHandler.level eq 'ALL' ? 'selected' : '' }>全部</option>
		                	<option  value="DEBUG" ${logViewBean.fileHandler.level eq 'DEBUG' ? 'selected' : '' }>调试</option>
							<option value="INFO" ${logViewBean.fileHandler.level eq 'INFO' ? 'selected' : '' }>报告</option>
							<option  value="NOTICE" ${logViewBean.fileHandler.level eq 'NOTICE' ? 'selected' : '' }>注意</option>							
							<option  value="WARNING" ${logViewBean.fileHandler.level eq 'WARNING' ? 'selected' : '' }>警告</option>
							<option  value="ERROR" ${logViewBean.fileHandler.level eq 'ERROR' ? 'selected' : '' }>错误</option>
							<option  value="FATAL" ${logViewBean.fileHandler.level eq 'FATAL' ? 'selected' : '' }>重大</option>
							<option  value="OFF" ${logViewBean.fileHandler.level eq 'OFF' ? 'selected' : '' }>关闭</option>
						</select>
					</td>
	                
	                <td class="logtitle">文件名产生模式：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-file-input" name="fileHandler.pattern" onblur="checkInput('fileHandler\\.pattern');" value="${logViewBean.fileHandler.pattern}"/></td>
	                
					<td class="logtitle">循环文件集合大小：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-file-input" name="fileHandler.count" onblur="checkInput('fileHandler\\.count');" value="${logViewBean.fileHandler.count}" style="margin-right: 1px;"/></td>
	            </tr>
	            <tr>
	                <td class="logtitle">输出字符集：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-file-input" name="fileHandler.encoding" onblur="checkInput('fileHandler\\.encoding');" value="${logViewBean.fileHandler.encoding}"/></td>
	                
	                <td class="logtitle">格式化类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-file-input" name="fileHandler.formatter" onblur="checkInput('fileHandler\\.formatter');" value="${logViewBean.fileHandler.formatter}"/></td>
	                
	                <td class="logtitle">写到未写满文件上：</td>
	                <td><input type="checkbox" class="f2j" id="checkbox-file-input" name="fileHandler.append" value="true" ${logViewBean.fileHandler.append ? ' checked="checked"' : ' ' }/></td>
	            </tr>
	            <tr>
	                <td class="logtitle">过滤器类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-file-input" name="fileHandler.filter" onblur="checkInput('fileHandler\\.filter');" value="${logViewBean.fileHandler.filter}"/></td>
	                
	                <td class="logtitle">输出最大值(Byte)：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-file-input" name="fileHandler.limit" onblur="checkInput('fileHandler\\.limit');" value="${logViewBean.fileHandler.limit}"/></td>
	                
	                <td colspan="2"></td>
	            </tr>		            
	        </table>
	    </div>		    
	    <div id="win_socket">
	        <table class="grid_layout">
				<tr>
	        	  	<td align="left" colspan="6">
	        	  		<input type="checkbox" id="checkbox-socket" class="f2j" name="selectSocket" ${logViewBean.selectSocket ? ' checked="checked"' : ' ' } onclick="selectCheckbox(this.id,this.checked);"/>
	        	  		<span style="font-size: small; color: #0066CC">端口输出</span>
						<hr style="width: 100%; height: 1px; border: none; border-top: 1px dashed #0066CC;" />
					</td>
	        	</tr>		        
	            <tr>
	                <td class="logtitle">日志级别：</td>
	                <td>
		                <select id="checkbox-socket-input" class="f2j" name="socketHandler.level" style="width: 105px;">
		                	<option  value="ALL" ${logViewBean.socketHandler eq 'ALL' ? 'selected' : '' }>全部</option>
		                	<option  value="DEBUG" ${logViewBean.socketHandler.level eq 'DEBUG' ? 'selected' : '' }>调试</option>
							<option value="INFO" ${logViewBean.socketHandler.level eq 'INFO' ? 'selected' : '' }>报告</option>
							<option  value="NOTICE" ${logViewBean.socketHandler.level eq 'NOTICE' ? 'selected' : '' }>注意</option>							
							<option  value="WARNING" ${logViewBean.socketHandler.level eq 'WARNING' ? 'selected' : '' }>警告</option>
							<option  value="ERROR" ${logViewBean.socketHandler.level eq 'ERROR' ? 'selected' : '' }>错误</option>
							<option  value="FATAL" ${logViewBean.socketHandler.level eq 'FATAL' ? 'selected' : '' }>重大</option>
							<option  value="OFF" ${logViewBean.socketHandler.level eq 'OFF' ? 'selected' : '' }>关闭</option>
						</select>
					</td>
	                
	                <td class="logtitle">过滤器类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-socket-input" name="socketHandler.filter" onblur="checkInput('socketHandler\\.filter');" value="${logViewBean.socketHandler.filter}"/></td>
	                
	                <td class="logtitle">目标TCP端口：</td>
	                <td><input type="text" class="f2j" style=" width:100px; margin-right: 2px;" id="checkbox-socket-input" name="socketHandler.port" onblur="checkInput('socketHandler\\.port');" value="${logViewBean.socketHandler.port}" style="margin-right: 1px;"/></td>
	            </tr>
	            <tr>
	                <td class="logtitle">输出字符集：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-socket-input" name="socketHandler.encoding" onblur="checkInput('socketHandler\\.encoding');" value="${logViewBean.socketHandler.encoding}"/></td>
	                
	                <td class="logtitle">格式化类名称：</td>
	                <td><input type="text" class="f2j loginput" id="checkbox-socket-input" name="socketHandler.formatter" onblur="checkInput('socketHandler\\.formatter');" value="${logViewBean.socketHandler.formatter}"/></td>
	                
	                <td class="logtitle">目标主机名称：</td>
	                <td><input type="text" class="f2j loginput" style=" width:100px; margin-right: 2px;" id="checkbox-socket-input" name="socketHandler.host" onblur="checkInput('socketHandler\\.host');" value="${logViewBean.socketHandler.host}" style="margin-right: 1px;"/></td>
	            </tr>
	        </table>
	    </div>		    
	    	    		    
    </form>	
</div>