<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>日志配置</title>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<script type="text/javascript" src="${resBase}/scripts/form.js"></script>
<script type="text/javascript" src="${resBase}/scripts/logConfig.js"></script>

<link rel="stylesheet" type="text/css" href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/main.css" />
<style type="text/css">
.om-buttonbar {
	border-bottom: none;
} 
</style>
</head>
<body>
<div style="padding: 8px;">
	<input id="contextPath" value="${contextPath}" type="hidden"/>
    <input id="resBase" value="${resBase}" type="hidden"/>
    
    <div class="title-bk">全局日志设置</div>
	<div style="width:100%;">
	<div id="globalLogButtonbar"></div>
	<div style="border:1px solid #BCC5D2; ">	 	
	 	<div style="margin:10px 10px; padding-top:10px; padding-bottom:10px; ">
	 		<div style="margin-left: 8px;">
	 			 <input type="checkbox" id="globalCheckbox" name="globalCheckbox" value="clientIP"/>日志信息包含客户端IP
	 		</div>
	 		<div>
	 			<fieldset style="border: 1px solid #C8D0DE; padding-left:12px; padding-top:8px; padding-bottom : 8px; margin: 10px;">
	 				<legend >全局日志输出</legend>
					<input type="checkbox" id="globalCheckbox" name="globalCheckbox" value="console" />控制台输出
					<input type="checkbox" id="globalCheckbox" name="globalCheckbox" value="webConsole"/>WEB控制台输出
					<input type="checkbox" id="globalCheckbox" name="globalCheckbox" value="dateFile"/>日期文件输出
					<input type="checkbox" id="globalCheckbox" name="globalCheckbox" value="file"/>日志文件输出
				</fieldset>
	 		</div>
		</div>
	</div>
	</div>
	 
	<div style="width:100%; height:380px; margin:15px 0px; border:0px solid #9CCEFD; ">
		<div id="logGridButtonbar"></div>
		<div ><table id="grid-inner"></table></div>
	</div>
		
	<div id="dialog-confirm" title="确认" style="display: none;">
	        确定要删除？
    </div>
		
</div>
</body>
</html>
