<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta http-equiv="Cache-Control" content="no-cache" />
<title>Apusic应用服务器监控管理平台</title>

<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<script type="text/javascript" src="${resBase}/scripts/aes.js"></script>
<script type="text/javascript" src="${resBase}/scripts/pad-zeropadding-min.js"></script>
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/login.css" />
<script type="text/javascript">
    /* 如果session过期，则使顶层页面跳转到登录，避免iframe内嵌登录页面的问题 */
    if (window.parent.length > 0) {
        window.top.location.href = "${contextPath}/login";
    }
	
    
    window.onload = function() {
        var date = new Date();
        var txt = date.getFullYear();
        document.getElementById("year").innerHTML = txt;
    }
    
    document.onkeydown=function(event){
    	var e = event || window.event || arguments.callee.caller.arguments[0];
    	if(e && e.keyCode==13){
    		loginSubmit();
		}
	}

    function loginSubmit(){
    	var token = document.getElementById("IDtoken").value;
    	var username = document.getElementById("j_username").value;
    	var userpass = document.getElementById("j_password").value;
    	var userkapt = document.getElementById("kaptcha").value;
    	var key = CryptoJS.enc.Utf8.parse(token);
        var iv = CryptoJS.enc.Utf8.parse(token);
        var data = username+"|"+userpass+"|"+userkapt
        var encrypted = CryptoJS.AES.encrypt(data, key, {
            iv: iv,
            mode: CryptoJS.mode.CBC,
            padding: CryptoJS.pad.ZeroPadding
        });
        document.getElementById("IDtoken").value = encrypted;
        document.getElementById("j_username").value = "";
        document.getElementById("j_password").value = "";
        document.getElementById("kaptcha").value = "";
    	document.loginForm.submit(); 
    }
    
</script>
<%
	java.security.SecureRandom random = new java.security.SecureRandom();
	String key = String.valueOf(random.nextInt());
	int tmp = 16-key.length();
	for(int i=0;i<tmp;i++) {
		key +="0";
	}
	session.setAttribute("loginToken", key);
%>
</head>
<body>
    <table cellspacing="0" cellpadding="0" class="body-table">
        <tbody>
            <tr>
                <td align="center">
                      <div class="top-title">
                          <div class="top-title-img"></div>
                      </div>
                </td>
            </tr>
            <tr style="height: 100%;">
                <td align="center" class="middle-td">
                    <table cellspacing="0" cellpadding="0" class="middle-table-login">
                        <tbody>
                            <tr valign="middle">
                                <td width="488" align="right">                                    

                                        <table cellspacing="0" cellpadding="0" class="login-table">
                                            <tr  height="50">
                                                <td align="left">
                                                	<label class="login-title">用户登录</label>
                                                </td>
                                            </tr>
                                            <tr height="10"><td align="left"></td></tr>
                                            <tr  height="20">
                                                <td align="left" >
                                                	<label class="login-text">用户名：</label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left">
                                                	<input name="j_username" id="j_username" type="text" value="${username}" class="login-input"/>
                                                </td>
                                            </tr>
                                            <tr height="10"><td align="left"></td></tr>
                                            <tr  height="20">
                                                <td align="left">
                                                	<label class="login-text">密码：</label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left">
                                                	<input name="j_password" id="j_password" type="password" class="login-input" autocomplete="off"/>
                                                </td>
                                            </tr>
                                             <tr height="20">
                                                <td align="left">
                                                	<label class="login-text">请输入验证码：</label>
                                                </td>
                                            </tr>
                                             <tr >
                                                <td align="left">
                                              		 <input type="text" name="kaptcha" id="kaptcha" value="" class="login-input" />
                                                </td>
                                            </tr>
                                             <tr >
                                                <td align="left">
                                              	  	<span style="margin-left: 25px"><img id="kaptchaImg" src="kaptcha.jpg" title="点击刷新" width="130" height="24" onclick="this.src='kaptcha.jpg?'+(new Date().getTime());" style="display: inline-block; vertical-align: bottom; cursor: pointer;" /></span>
                                                </td>
                                            </tr>
                                            
                                            <tr  height="15">
                                                <td align="left">
                                                	<span class="errorMessage" id="errorMsg">${errorMsg}</span>
													<script type="text/javascript">
														/*显示验证码错误信息*/
														var query = window.location.search.substring(1);
														var vars = query.split("&");
														for (var i=0;i<vars.length;i++) {
																   var pair = vars[i].split("=");
                                                                    /*仅验证码错误通过url传参,其他错误通过EL表达式获取*/
                                                                    if(decodeURI(pair[1]) === "验证码输入错误"){document.getElementById("errorMsg").innerHTML="验证码输入错误";}
														   }
													 </script>
                                                    <span style="color: green; margin-left: 25px">${successMsg}</span>
                                                </td>
                                            </tr>
                                            <form name="loginForm" action="j_security_check" method="post">
                                            <tr>
                                                <td align="left">
													<img src="${resBase}/images/btn_login.png" onclick="loginSubmit();" style="margin-left: 25px; cursor: pointer;">
                                                </td>
                                            </tr>
                                            <tr height="25" >
                                                <td align="center"><input name="IDtoken" id="IDtoken" type="hidden" value="${loginToken}"/></td>
                                            </tr>
                                            </form>
                                        </table>

                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td style="vertical-align: bottom;">
                    <div class="footer">
                        <span>&copy; 2000-</span><span id="year">2020</span>深圳市金蝶天燕云计算股份有限公司<span>，保留所有权利</span>
                        联系我们
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
