<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>JVM类装载监控</title>

<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<%@ include file="/WEB-INF/common-monitor/jqplot-js.jsp"%>
<script type="text/javascript" src="${resBase}/scripts/monitor/classloader-monitor.js"></script>
<link rel="stylesheet" type="text/css" href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/monitor/monitor.css" />
<%@ include file="/WEB-INF/common-monitor/jqplot-css.jsp"%>
</head>

<body style="width: 100%; height: 100%;">
    <input id="contextPath" value="${contextPath}" type="hidden"/>
    <input id="resBase" value="${resBase}" type="hidden"/>
    <div id="classloaderButtonbar"></div>
    <div style="padding: 8px; ">
        <div class="classloader-topdiv">
            <div id="classloader-chart-inner" style="height:98%;"></div>
        </div>
        
        <div class="ht_15"></div>
        
        <div class="classloader-bottomdiv">
            <table id="grid"></table>
        </div>
    </div>
</body>
</html>
