<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>系统参数配置</title>

<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />

<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/swfobject.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<link rel="stylesheet" type="text/css"
    href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />

<script type="text/javascript"
    src="${resBase}/scripts/sysconfig/sysparam.js"></script>
<link rel="stylesheet" type="text/css"
    href="${resBase}/css/sysconfig/sysconfig.css" />
</head>
<style type="text/css">
.om-buttonbar {
	border-bottom: none;
} 
</style>
<body>
<div style="padding: 8px;">
    <input id="contextPath" value="${contextPath}" type="hidden" />
    <input id="resBase" value="${resBase}" type="hidden" />
    <input id="xms_value" value="${xms}" type="hidden" />
    <input id="xmx_value" value="${xmx}" type="hidden" />
    <input id="xmn_value" value="${xmn}" type="hidden" />
    <input id="gc_method" value="${gcmethod}" type="hidden" />
    <input id="jvm_details" value="${jvmdetails}" type="hidden" />

    <div class="title-bk">JVM参数</div>
    <div id="buttonbar-jvm"></div>
    <div class="vmcontent">
            <label>启动最小堆内存(MB):</label><input id="xms" /><font color="red">*</font>
            <label>启动最大堆内存(MB):</label><input id="xmx" /><font color="red">*</font>
            <label>永久代内存(MB):</label><input id="xmn" /><font color="red">*</font>
            <p></p>
            <label>垃圾回收方法:</label><select id="gcmethod">
            							<option value="">请选择</option>
            							<option value="CMS">ConcMarkSweepGC</option>
            							<option value="PGC">ParallelGC</option>
            							<option value="POGC">ParallelOldGC</option>
            							</select>
            <label>其它配置</label><input id="details" size="70"/>
    </div>

    <div class="title-bk">Apusic参数</div>
    <div id="buttonbar"></div>
    <table id="param-grid" cellpadding="0" cellspacing="0"></table>

    <div class="height_15"></div>

	<div class="title-bk">JVM属性</div>
    <table id="jvm-grid"></table>

    <div id="detail">
        <div class="windowText">
            <div class="param-key">参数类型:</div>
            <div class="param-value">
                <input id="apusicType" />
            </div>
        </div>
        <div class="windowText">
            <div class="param-key">参数名称:</div>
            <div class="param-value">
                <input id="apusicKey" />
            </div>
        </div>
        <div class="windowText">
            <div class="param-key">参数值:</div>
            <div class="param-value">
                <input id="apusicValue" type="text" style="width: 245px" />
            </div>
        </div>
        <div class="windowText">
            <div class="param-key keylast">参数描述:</div>
            <div class="param-value">
                <textarea id="apusicDes" rows="3" cols="20"
                    style="width: 245px; resize:none;"></textarea>
            </div>
        </div>

        <div class="button-content">
            <div class="button-content-outer">
                <div class="button-content-button">
                    <input type="button" value="确定" id="save" />
                </div>
                <div class="button-content-button">
                    <input type="button" value="取消" id="cancel" />
                </div>
            </div>
        </div>
    </div>
</div>    
</body>
</html>
