<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>请求的页面不存在</title>

<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/login.css" />
<script type="text/javascript">
    var __calcCurTimeId;
    function _calcCurTime() {
        function fix(num) {
            if (num < 10) {
                return '0' + num;
            }
            return num;
        }
        var date = new Date();
        var txt = date.getFullYear() + '年' + (date.getMonth() + 1) + '月' + date.getDate() + '日 ' + fix(date.getHours())
                + ':' + fix(date.getMinutes()) + ':' + fix(date.getSeconds()) + ' 星期' + '日一二三四五六'.charAt(date.getDay());
        document.getElementById("_curTimeLab").innerHTML = txt;
    }
    __calcCurTimeId = setInterval(_calcCurTime, 1000);
    setTimeout(function(){
    	window.top.location.href='${contextPath}/protect';
    },5000);
</script>
</head>
<body>
    <table width="100%" height="100%" cellspacing="0" cellpadding="0">
        <tbody>
            <tr>
                <td>
                    <div class="header">
                        <div class="title">Apusic应用服务器监控管理平台</div>
                        <div class="welcome">请求的页面不存在！</div>
                        <div class="time">
                            <span>当前时间:</span><span id="_curTimeLab"></span>
                        </div>
                    </div>
                </td>
            </tr>
            <tr>
                <td align="center" style="vertical-align: middle;">
                    <div class="server_error">
                        <span class="error_code_msg">请求的页面不存在，5秒后返回主页，或者
                        	<a href="${contextPath}/logout" class="logout">注销</a>
                    	</span>
                        <div class="ht_50"></div>
                        <div class="e_404_pic"></div>
                    </div>
                </td>
            </tr>
            <tr>
                <td style="vertical-align: bottom;">
                    <div class="footer">
                        <span>&copy; 2003-2013 </span><a
                            href="http://www.apusic.com" target="_blank" rel="noopener noreferrer">深圳市金蝶中间件有限公司</a><span>，保留所有权利</span>
                        <a
                            href="http://www.apusic.com/aboutus/connectUs.faces"
                            target="_blank" rel="noopener noreferrer">联系我们</a>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
