(function(M) {
    M.asconfig = {
        baseUrl : '',
        
         muxConfig : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/system/muxConfig',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 480,
                        width : 600,
                        modal : true,
                        title : '多路复用',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                                if( $("#asconfig_muxConfig_form").validate().form()){
                                    $("#asconfig_muxConfig_form").submit();
                                    d.omDialog('close');
                                }
                                d.omDialog('destroy');
                                d.remove();
                            }
                        }, {
                            text : '取消',
                            click : function() {
                                d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                            muxConfig_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
         httpHandler : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/threadpool/httpHandler',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 420,
                        width : 360,
                        modal : true,
                        title : 'HttpHandler服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if( $("#asconfig_httpHandler_form").validate().form()){
                            		$("#asconfig_httpHandler_form").submit();
                                    d.omDialog('close');
                            	}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                            	d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                        	httpHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
        
          defaultHandler : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/threadpool/defaultHandler',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 420,
                        width : 360,
                        modal : true,
                        title : 'DefaultHandler服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if( $("#asconfig_defaultHandler_form").validate().form()){
                                   $("#asconfig_defaultHandler_form").submit();
                                   d.omDialog('close');
                            	}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                                d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                            defaultHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
        
          jmsHandler : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/threadpool/jmsHandler',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 420,
                        width : 360,
                        modal : true,
                        title : 'JMXHandler服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if( $("#asconfig_jmsHandler_form").validate().form()){
                                   $("#asconfig_jmsHandler_form").submit();
                                   d.omDialog('close');
                            	}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                                d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                            jmsHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
         mqHandler : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/threadpool/mqHandler',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 420,
                        width : 360,
                        modal : true,
                        title : 'MQHandler服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                                if( $("#asconfig_mqHandler_form").validate().form()){
                                   $("#asconfig_mqHandler_form").submit();
                                   d.omDialog('close');
                                }
                            }
                        }, {
                            text : '取消',
                            click : function() {
                                d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                            mqHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
         muxHandler : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/threadpool/muxHandler',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 420,
                        width : 360,
                        modal : true,
                        title : 'MuxHandler服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if( $("#asconfig_muxHandler_form").validate().form()){
                                    $("#asconfig_muxHandler_form").submit();
                                    d.omDialog('close');
                            	}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                                d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                            muxHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
        
         orbHandler : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/threadpool/orbHandler',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 420,
                        width : 360,
                        modal : true,
                        title : 'ORBWorkHandler服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if( $("#asconfig_orbHandler_form").validate().form()){
                                   $("#asconfig_orbHandler_form").submit();
                                   d.omDialog('close');
                            	}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                                d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                            orbHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
        
        httpSession : function() {
            var _t = this;
            $.ajax({
                url : _t.baseUrl + '/http/showHttpSession',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 360,
                        width : 360,
                        modal : true,
                        title : '会话服务',
                        buttons : [ {
                            text : '保存',
                            click : function() {
                            	if( $("#asconfig_httpSession_param_form").validate().form()){
                            			if($("#defaultOvertime").val()==''){
                            				$("#defaultOvertime").val("0");
                            			}
                            			if($("#maxCacheNum").val()==''){
                            				$("#maxCacheNum").val("0");
                            			}
                            			if($("#chechOvertimeInterval").val()==''){
                            				$("#chechOvertimeInterval").val("0");
                            			}
                            			if($("#exchangeTimeInterval").val()==''){
                            				$("#exchangeTimeInterval").val("0");
                            			}
                            			$.ajax({
                                          url : _t.baseUrl + '/http/updateHttpSession',
                                          type: 'post',
                                          data : M.FormToJSON.formToJSON($('#asconfig_httpSession_param_form')),
                                          success : function(data) {
                                              if ('success' == data) {
                                              	showMsgTip("配置会话服务成功！重启后生效！","success");
                                                  d.omDialog('close');
                                              } else {
                                              	showMsgTip(data,"error");
                                              	d.omDialog('close');
                                              }
                                          }
                                      }); 
                             	}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                                d.omDialog('close');
                            }
                        } ],
                        onOpen:function(){
                        	httpSession_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });

        },

     // httpWebConfig
        httpWebConfig : function() {
               var _t = this;
           	$.ajax({
           		 url : _t.baseUrl + '/http/httpConfig',
       			success : function(data) {
       				var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
       				d.html(data).omDialog({
       					autoOpen : true,
       					closeOnEscape : false,
       					height : 380,
       					width : 630,
       					modal : true,
       					title : 'HTTP配置',
       					onClose : function() {
       						d.omDialog('destroy');
       						d.remove();
       					},
       					 onOpen:function(){
       						 httpConfig_Init();
                            },
       					buttons : [ {
       						text : "保存",
       						click : function() {
       							if (!$("#Http_config_param_form").validate().form()) {
       								return false;
       							} else {
       								$.ajax({
       									type : "post",
       									async : false,
       									dataType : "json",
       									url : _t.baseUrl +'/http/modifyHttpConfig',
       									data : AASMonitor.FormToJSON.formToJSON($('#Http_config_param_form')),
       									error : function() {
       										showMsgTip("请求参数有误,请重新提交!", "error");
       									},
       									success : function(data) {
       										 showMsgTip(data.desc,data.state);
   	                                    	 d.omDialog('destroy');
   	                     					 d.remove();
       									}
       								});
       							}
       						}
       					}, 
       					{
       						text : "取消",
       						click : function() {
       							d.omDialog('destroy');
       							d.remove();
       						}
       					} ]

       				});
       			}
       		});	
           },
        
        // httpSessionStore
        httpSessionStore : function() {
        	var _t = this;
        	$.ajax({
        		url : _t.baseUrl + '/http/httpSessionStore',
        		success : function(data) {
        			var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
        			d.html(data).omDialog({
        				autoOpen : true,
        				closeOnEscape : false,
        				height : 400,
        				width : 630,
        				modal : true,
        				title : '会话存储',
        				onClose : function() {
        					d.omDialog('destroy');
        					d.remove();
        				},
        				 onOpen:function(){
       						 httpSessionStrore_Init();
                            },
        				buttons : [ {
        					text : "保存",
        					click : function() {
        						var  validataRes = $("#Http_session_store_param_form").validate().form();
        						if (!validataRes) {
        							return false;
        						} else {
        							$.ajax({
        								type : "post",
        								async : false,
        								dataType : "json",
        								url :_t.baseUrl +'/http/modifyHttpSessionStore',
        								data : AASMonitor.FormToJSON.formToJSON($('#Http_session_store_param_form')),
        								error : function() {
        									showMsgTip("请求参数有误,请重新提交!", "error");
        								},
        								success : function(data) {
        									 showMsgTip(data.desc,data.state);
   	                                    	 d.omDialog('destroy');
   	                     					 d.remove();
        								}
        							});
        						}
        					}
        				}, {
        					text : "取消",
        					click : function() {
        						d.omDialog('destroy');
        						d.remove();
        					}
        				} ]
        				
        			});
        		}
        	});	
        },

        acpConfig : function() {
            var _t = this;
        	$.ajax({
        		 url : _t.baseUrl + '/advance/showACP',
    			success : function(data) {
    				var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
    				d.html(data).omDialog({
    					autoOpen : true,
    					closeOnEscape : false,
    					height : 250,
    					width : 420,
    					modal : true,
    					title : 'ACP服务',
    					onClose : function() {
    						d.omDialog('destroy');
    						d.remove();
    					},
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							saveACPConfig(d);
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ],
    					onOpen : function(event) {
    						var check =$("[id=acpEnabled]:checkbox").attr('checked');
    						if(check){
    							$("[id=acpEnabled]:checkbox").attr("checked", true);
    							$("[id=acpTimeout]:input").attr("disabled",false);
    						}else{
    							$("[id=acpTimeout]:input").attr("disabled",true);
    						}
    					}
    				});
    			}
    		});	
        },
        
        ajpConfig : function() {
            var _t = this;
        	$.ajax({
        		 url : _t.baseUrl + '/advance/showAJP',
    			success : function(data) {
    				var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
    				d.html(data).omDialog({
    					autoOpen : true,
    					closeOnEscape : false,
    					height : 300,
    					width : 450,
    					modal : true,
    					title : 'AJP服务',
    					onClose : function() {
    						d.omDialog('destroy');
    						d.remove();
    					},
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							saveAJPConfig(d);
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ],
    					onOpen : function(event) {
    						var check =$("[id=ajpEnabled]:checkbox").attr('checked');
    						if(check){
    							$("[id=ajpEnabled]:checkbox").attr("checked", true);
    							$("[id=type]:input").attr("disabled",false);
    							$("[id=address]:input").attr("disabled",false);
    							$("[id=port]:input").attr("disabled",false);
    							$("[id=backlog]:input").attr("disabled",false);
    							$("[id=urlEncoding]:input").attr("disabled",false);
    							$("[id=timeout]:input").attr("disabled",false);
    						}else{
    							$("[id=type]:input").attr("disabled",true);
    							$("[id=address]:input").attr("disabled",true);
    							$("[id=port]:input").attr("disabled",true);
    							$("[id=backlog]:input").attr("disabled",true);
    							$("[id=urlEncoding]:input").attr("disabled",true);
    							$("[id=timeout]:input").attr("disabled",true);
    						}
    					}

    				});
    			}
    		});	
        },

        classloaderConfig : function() {
            var _t = this;
        	$.ajax({
        		 url : _t.baseUrl + '/advance/showClassLoader',
    			success : function(data) {
    				var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
    				d.html(data).omDialog({
    					autoOpen : true,
    					closeOnEscape : false,
    					height : 200,
    					width : 420,
    					modal : true,
    					title : '类装载查看',
    					onClose : function() {
    						d.omDialog('destroy');
    						d.remove();
    					},
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							saveClassLoaderConfig(d);
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ]
    				});
    			}
    		});	
        },

        jdbcMonitorConfig : function() {
            var _t = this;
        	$.ajax({
        		 url : _t.baseUrl + '/advance/showJDBCTracer',
    			success : function(data) {
    				var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
    				d.html(data).omDialog({
    					autoOpen : true,
    					closeOnEscape : false,
    					height : 300,
    					width : 420,
    					modal : true,
    					title : 'JDBC监控',
    					onClose : function() {
    						d.omDialog('destroy');
    						d.remove();
    					},
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							saveJDBCTracerConfig(d);
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ]
    				});
    			}
    		});	
        },

        jmsServerConfig : function() {
            var _t = this;
        	$.ajax({
        		 url : _t.baseUrl + '/advance/showJMSServer',
    			success : function(data) {
    				var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
    				d.html(data).omDialog({
    					autoOpen : true,
    					closeOnEscape : false,
    					height : 280,
    					width : 420,
    					modal : true,
    					title : 'JMS服务',
    					onClose : function() {
    						d.omDialog('destroy');
    						d.remove();
    					},
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							saveJMSServerConfig(d);
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ]
    				});
    			}
    		});	
        },
        transactionService : function (){
        	var _t = this;
        	$.ajax({
        		url:_t.baseUrl + '/system/transaction',
        		success:function(data){
        			var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
        			d.html(data).omDialog({
        				autoOpen : true,
    					closeOnEscape : false,
    					height : 300,
    					width : 350,
    					modal : true,
    					title : '事务服务',
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							if(!$('#system_server_transaction_config').valid()){
    								return false ;
    							}else{
    								$.ajax({
        								url : _t.baseUrl + "/system/updateTransaction",
        								type: 'post',
        								dataType: 'json',
        								data : M.FormToJSON.formToJSON($('#system_server_transaction_config')),
                                        success : function(data) {
                                            if ('success' == data.status) {
                                            	showMsgTip("配置事务服务成功！重启后生效！","success");
                                                d.omDialog('close');
                                            } else {
                                            	showMsgTip(data,"error");
                                            	d.omDialog('close');
                                            }
                                            d.omDialog('destroy');
                							d.remove();
                                        },
                                        error : function() {
                                        	showMsgTip("请求错误,请重新提交!","error");
                        					d.omDialog('close');
                        				}
        							});
    							}
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ],
        			 onOpen:function(){
        				 transaction_Init();
                     }
        			});
        		}
        	});
        },
        
        
        jdbcService:function(){
        	var _t = this;
        	$.ajax({
        		url:_t.baseUrl + '/system/jdbcService',
        		success:function(data){
        			var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
        			d.html(data).omDialog({
        				autoOpen : true,
    					closeOnEscape : false,
    					height : 250,
    					width : 280,
    					modal : true,
    					title : 'JDBC服务',
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							$.ajax({
    								url : _t.baseUrl + "/system/updataJdbcService",
    								type: 'post',
    								dataType: 'json',
    								data : M.FormToJSON.formToJSON($('#jdbc_server_config')),
                                    success : function(data) {
                                        if ('success' == data.status) {
                                        	showMsgTip("配置JDBC服务成功！重启后生效！","success");
                                            d.omDialog('close');
                                        } else {
                                        	showMsgTip(data,"error");
                                        	d.omDialog('close');
                                        }
                                        d.omDialog('destroy');
                    					d.remove();
                                    },
                                    error : function() {
                                    	showMsgTip("请求错误,请重新提交!","error");
                    					d.omDialog('close');
                    				}
    							});
    							
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ]
        			});
        		}
        	});
        },
        securityService : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/system/securityServer',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 260,
                        width : 360,
                        modal : true,
                        title : '安全服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if (!$("#asconfig_securityHandler_form").validate().form() ) {
                        			return false ;
                        		} else {
                        			$.ajax({
                                        url : _t.baseUrl + '/system/modifySecurityServer',
                                        type: 'post',
                                        dataType : "json",
                                        data : M.FormToJSON.formToJSON($('#asconfig_securityHandler_form')),
                                        error : function() {
                                        	showMsgTip("请求参数有误,请重新提交!", "error");
                						},
                                        success : function(data) {
	                                    	 showMsgTip(data.desc,data.state);
	                                    	 d.omDialog('destroy');
	                     					 d.remove();
                                        }
                                    });
                        		}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                          	  d.omDialog('destroy');
                              d.remove();
                            }
                        } ],
                        onOpen:function(){
                            securityHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
        
        ejbService : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/system/ejb',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 300,
                        width : 400,
                        modal : true,
                        title : 'EJB服务',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if ($("#asconfig_ejbHandler_form").validate().form()) {
                            		if($("#entityBeanCacheSize").val()==''){
                            			$("#entityBeanCacheSize").val("0");
                            		}
                            		if($("#hasStatusBeanCacheSize").val()==''){
                            			$("#hasStatusBeanCacheSize").val("0");
                            		}
                        			$.ajax({
                                        url : _t.baseUrl + '/system/modifyEjbService',
                                        type: 'post',
                                        dataType : "json",
                                        data : M.FormToJSON.formToJSON($('#asconfig_ejbHandler_form')),
                                        error : function() {
                                        	showMsgTip("请求参数有误,请重新提交!", "error");
                						},
                                        success : function(data) {
	                                    	 showMsgTip(data.desc,data.state);
	                                    	 d.omDialog('destroy');
	                     					 d.remove();
                                        }
                                    });
                        		}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                          	  d.omDialog('destroy');
                              d.remove();
                            }
                        } ],
                        onOpen:function(){
                            ejbHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
        
        ejbTimer : function() {
            var _t = this;
            $.ajax({
                 url : _t.baseUrl + '/system/ejbTimer',
                success : function(data) {
                    var d = $('<div style="background-color: #FFFFFF;"/>').appendTo($(document.body));
                    d.html(data).omDialog({
                        autoOpen : true,
                        height : 200,
                        width : 360,
                        modal : true,
                        title : 'EJB定时器',
                         buttons : [ {
                            text : '保存',
                            click : function() {
                            	if (!$("#asconfig_ejbTimerHandler_form").valid()) {
                        			return false ;
                        		} else {
                        			$.ajax({
                                        url : _t.baseUrl + '/system/modifyEjbTimer',
                                        type: 'post',
                                        dataType : "json",
                                        data : M.FormToJSON.formToJSON($('#asconfig_ejbTimerHandler_form')),
                                        error : function() {
                                        	showMsgTip("请求参数有误,请重新提交!", "error");
                						},
                                        success : function(data) {
	                                    	 showMsgTip(data.desc,data.state);
	                                    	 d.omDialog('destroy');
	                     					 d.remove();
                                        }
                                    });
                        		}
                            }
                        }, {
                            text : '取消',
                            click : function() {
                          	  d.omDialog('destroy');
                              d.remove();
                            }
                        } ],
                        onOpen:function(){
                        	ejbTimerHandler_Init();
                        },
                        onClose : function() {
                            d.omDialog('destroy');
                            d.remove();
                        }
                    });
                }
            });
        },
        deployService:function(){
        	var _t = this;
        	$.ajax({
        		url:_t.baseUrl + '/system/deployService',
        		success:function(data){
        			var d = $("<div style='display:none;background-color: #FFFFFF;' />").appendTo($(document.body));
        			d.html(data).omDialog({
        				autoOpen : true,
    					closeOnEscape : false,
    					height : 250,
    					width : 300,
    					modal : true,
    					title : '部署服务',
    					buttons : [ {
    						text : "保存",
    						click : function() {
    							$.ajax({
    								url : _t.baseUrl + "/system/updataDeployService",
    								type: 'post',
    								dataType: 'json',
    								data : M.FormToJSON.formToJSON($('#deploy_server_config')),
                                    success : function(data) {
                                        if ('success' == data.status) {
                                        	showMsgTip("配置部署成功！重启后生效！","success");
                                            d.omDialog('close');
                                        } else {
                                        	showMsgTip(data,"error");
                                        	d.omDialog('close');
                                        }
                                    },
                                    error : function() {
                                    	showMsgTip("请求错误,请重新提交!","error");
                    					d.omDialog('close');
                    				}
    							});
    							
    						}
    					}, {
    						text : "取消",
    						click : function() {
    							d.omDialog('destroy');
    							d.remove();
    						}
    					} ]
        			});
        		}
        	});
        }
        
    };
})(AASMonitor);