var contextPath = $("#contextPath").val();
var resBase = $("#resBase").val();
var url = "";

function getType(newValue) {
    $.ajax({
        url : $("#contextPath").val() + '/protect/datasource/dbtypelist',
        type : "get",
        dataType : "json",
        data : {
            dname : newValue
        },
        success : function(data) {
            $('#drivertype').val('').omCombo('setData', data);
        },
        error : function() {
            showFailure();
        }
    });
}

function getUrl(newValue) {
    $.ajax({
        url : $("#contextPath").val() + '/protect/datasource/dblists',
        type : "get",
        dataType : "json",
        async: false,
        data : {
            driverName : newValue
        },
        success : function(data) {
            $('#connectionURL').val(data.url);
            $('#driverClassName').val(data.driverClassName);
            $("#datasourceconfig").validate().form();
        },
        error : function() {
            showFailure();
        }
    });
}

function getPort(newValue) {
    $.ajax({
        url : $("#contextPath").val() + '/protect/datasource/dbprot',
        type : "get",
        dataType : "json",
        async: false,
        data : {
            driverName : newValue
        },
        success : function(data) {
            $('#dport').val(data);
        },
        error : function() {
            showFailure();
        }
    });
}

var changeAtt;
function getDriverName(newValue) {
      var tpl = '<tr class="cpr">' + '<td><input readonly="true" class="conn_prop" name="propKey" value="{0}"/></td>'
            + '<td><input class="conn_prop" name="propValue" value="{1}"/></td>'
            + '<td style="padding-left:8px;"><a href="#" onclick="removeRow(this, \'cpr\');">删除</a></td>' + '</tr>';       
            $.ajax({
        url : $("#contextPath").val() + '/protect/datasource/driverList',
        type : "get",
        dataType : "json",
        async: false,
        data : {
            driverName : newValue
        },
        success : function(data) {
            changeAtt = data;
            $("#conn_prop_value").children().remove();
            for ( var s in data) {
                $("#conn_prop_value").append(tpl.format(s, data[s]));
            }
        },
        error : function() {
            showFailure();
        }
    });
}

function changeJndi() {
    var name = $('#name').val();
    $('#jndiName').val('jdbc/' + name);
}

function changeURL() {
    var driverValue = $('#drivertype').val();
    var portValue = $('#dport').val();
    var hostValue = $('#host').val();
    var databaseNameValue = $('#dbname').val();
    
    if (driverValue == "ms1" || driverValue == "ms2") {
        $('#connectionURL').val("jdbc:microsoft:sqlserver://" + hostValue + ":" + portValue + ";DatabaseName=" + databaseNameValue);
    }
    if (driverValue == "ms3" || driverValue == "ms4" || driverValue == "ms9") {
        $('#connectionURL').val("jdbc:sqlserver://" + hostValue + ":" + portValue + ";DatabaseName=" + databaseNameValue);
    }
    if (driverValue == "ms5") {
        $('#connectionURL').val("jdbc:datadirect:sqlserver://" + hostValue + ":" + portValue + ";DatabaseName=" + databaseNameValue);
    }
    if (driverValue == "ms6") {
    	$('#connectionURL').val("jdbc:sqlserver://" + hostValue + ":" + portValue + ";DatabaseName=" + databaseNameValue);
    }
    if (driverValue == "ms7" || driverValue == "ms8") {
        $('#connectionURL').val("jdbc:jtds:sqlserver://" + hostValue + ":" + portValue + ";DatabaseName=" + databaseNameValue);
    }
    if (driverValue == "oa1" || driverValue == "oa2") {
        $('#connectionURL').val("jdbc:oracle:thin:@" + hostValue + ":" + portValue + ":" + databaseNameValue);
    }
    if (driverValue == "oa3" || driverValue == "oa4") {
        $('#connectionURL').val("jdbc:oracle:oci:@" + databaseNameValue);
    }
    if (driverValue == "oa5" || driverValue == "oa6") {
        $('#connectionURL').val("jdbc:datadirect:oracle://" + hostValue + ":" + portValue + ":" + databaseNameValue);
    }
    if (driverValue == "db1" || driverValue == "db2") {
        $('#connectionURL').val("jdbc:db2:" + databaseNameValue);
    }
    if (driverValue == "db3" || driverValue == "db4") {
        $('#connectionURL').val("jdbc:db2://" + hostValue + ":" + portValue + "/" + databaseNameValue);
    }
    if (driverValue == "db5" || driverValue == "db6") {
        $('#connectionURL').val(
                "jdbc:datadirect:db2://" + hostValue + ":" + portValue + ";databaseName=" + databaseNameValue);
    }
    if (driverValue == "mysql1" || driverValue == "mysql2") {
        $('#connectionURL').val("jdbc:mysql://" + hostValue + ":" + portValue + "/" + databaseNameValue);
    }
    if (driverValue == "dm"|| driverValue == "dm1") {
        $('#connectionURL').val("jdbc:dm://" + hostValue + ":" + portValue + "/" + databaseNameValue);
    }
    if (driverValue == "kingbase") {
        $('#connectionURL').val("jdbc:kingbase://" + hostValue + ":" + portValue + "/" + databaseNameValue);
    }
    if (driverValue == "oscar") {
        $('#connectionURL').val("jdbc:oscar://" + hostValue + ":" + portValue + "/" + databaseNameValue);
    }
}

function addDriverAtt() {
    var tpl = '<tr class="cpr">' + '<td width="60"><input class="conn_prop" name="propKey"/></td>'
            + '<td width="60"><input class="conn_prop" name="propValue" /></td>'
            + '<td width="60" align="center"><a href="#" onclick="removeRow(this, \'cpr\');">删除</a></td>' + '</tr>';
    $('#conn_prop_tbl').append(tpl.format(cpIndex));

}


function advanceDriverAtt() {
	var driveName=  $("#drivertype").val();
	if(driveName==""){
		createDsError("必须选择驱动！");
		return;
	}
    var tpl = '<tr class="dpr">' + '<td><input id="advance_key" name="propKey" readonly="true" class="conn_prop" value="{0}" /></td>'
    + '<td><input id="advance_value" name="propValue" class="conn_prop" value="{1}" /> </td>'
    + '<td style="padding-left:8px;"><a href="#" onclick="removeRow(this, \'dpr\');">删除</a></td>' +'</tr>';
    $.ajax({
        url : $("#contextPath").val() + '/protect/datasource/dbAdvanceParam',
        type : "get",
        dataType : "json",
        data : {
            driverName :driveName
        },
        success : function(data) {
        	if($.isEmptyObject(data)){
        		createDsAlert("该驱动没有高级驱动属性！");
        		return;
        	}
            for(var x in data){
                $("#conn_prop_value").append(tpl.format(x, data[x]));
                
            }
        },
        error : function() {
            showFailure();
        }
    });
}

function createDsError(str){
    AASMonitor.error(str == "" ? "新增数据失败" : str);
 }

function createDsSuccess(){
    AASMonitor.info('新增数据源成功');
    setTimeout(function() {
        window.location.href="${baseUrl}";
    }, 1000);
 }

function configDsError(str){
    AASMonitor.error(str == "" ? "修改数据失败" : str);
 }

function configDsSuccess(){
    AASMonitor.info('修改数据源成功');
    setTimeout(function() {
        window.location.href="${baseUrl}";
    }, 1000);
 }

  function createDsAlert(msg){
      $.omMessageBox.alert({
          content:msg,
      });
   }

