(function(M) {
    M.getNavMenuData = function(contextPath) {
        return [ {
            text : '服务器概览',
            classes : 'preview',
            url : contextPath + '/protect/preview'
        }, {
            text : '环境概要',
            classes : 'env',
            url : contextPath + '/protect/condition'
        }, {
            text : '应用管理',
            classes : 'app',
            url : contextPath + '/protect/application'
        }, {
            text : '数据源',
            classes : 'datasource',
            url : contextPath + '/protect/datasource'
        }, {
            text : 'JNDI树',
            classes : 'jndi',
            url : contextPath + '/protect/jndi'
        }, {
            text : '日志监控',
            classes : 'log',
            url : contextPath + '/protect/logmonitor'
        }, {
            text : '服务面板',
            classes : 'asconfig',
            url : contextPath + '/protect/aasconfig'
        }, {
            text : 'JMS消息',
            classes : 'jms',
            url : contextPath + '/protect/jms/main'
        }, {
            text : '系统配置',
            expanded : true,
            classes : 'sysconfig',
            children : [ {
                text : '系统参数',
                classes : 'vmoption',
               url : contextPath + '/protect/sysconfig/sysparam'
            }, {
                text : '日志配置',
                classes : 'logconf',
                url : contextPath + '/protect/logconfig'
            }, {
                text : '用户组',
                classes : 'user',
                url : contextPath + '/protect/security/usergroup'
            }, {
                text : '安全域',
                classes : 'realm',
                url : contextPath + '/protect/sysconfig/realm'
            }, {
                text : '生命周期监听',
                classes : 'lclistener',
                url : contextPath + '/protect/serverLifecycleListener'
            } ]
        }, {
            text : '监控',
            expanded : true,
            classes : 'monitor',
            url : contextPath + '/protect/monitor',
            children : [ {
                text : 'JavaEE组件',
                classes : 'javaee',
                url : contextPath + '/protect/monitor/j2ee'
            }, {
                text : '数据源',
                classes : 'datasourcem',
                url : contextPath + '/protect/monitor/datasource'
            }, {
                text : '用户会话',
                classes : 'session',
                url : contextPath + '/protect/monitor/appsession'
            }, {
                text : 'JTA事务',
                classes : 'jta',
                url : contextPath + '/protect/monitor/jta'
            }, {
                text : 'HTTP链接',
                classes : 'http',
                url : contextPath + '/protect/monitor/http'
            }, {
                text : 'JVM内存',
                classes : 'jvm',
                url : contextPath + '/protect/monitor/memory'
            }, {
                text : '线程',
                classes : 'thread', 
                url : contextPath + '/protect/monitor/thread'
            }, {
                text : '类加载',
                classes : 'classloader',
               url : contextPath + '/protect/monitor/classloader'
            } ]
        } ];
    };
})(AASMonitor);