<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<form id="deploy_server_config">
	<table>
		<tr>
			<td>开启启动发布:</td>
			<td><input id="autoPulish" type="checkbox" name="autoPulish"
				${model.autoPulish ? ' checked="checked"' : ' ' }
				onclick="selectActive(this.checked);" /></td>
		</tr>
		<tr>
			<td>监视间隔(秒):</td>
			<td><input type="text" name="monitorInterval"
				value="${model.monitorInterval}" /></td>
		</tr>
		<tr>
			<td>监视目录:</td>
			<td><input type="text" name="monitorCatelog"
				value="${model.monitorCatelog}" /></td>
		</tr>
		<tr>
			<td>上传目录:</td>
			<td><input type="text" name="uploadCatelog"
				value="${model.uploadCatelog}" /><span class="color_red">*</span></td>
		</tr>
		<tr>
			<td>运行状态:</td>
			<td>
				<c:choose>
					<c:when test='${model.stateString eq "Running"}'>
						<span style="color:green">${model.stateString}</span>
					</c:when>
					<c:otherwise>
						<span style="color:red">${model.stateString}</span>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
	</table>
</form>
<script type="text/javascript">
	function selectActive(checkFlag) {
		if (checkFlag) {
			$("[id=activeConnectionTrace]:checkbox").attr("checked", true);
		} else {
			$("[id=activeConnectionTrace]:checkbox").attr("checked", false);
		}
	}
	$(document).ready(function() {
		$("#system_server_config").validate({
			rules : {
				uploadCatelog : {
					required : true,
				}
			},
			messages : {
				uploadCatelog : {
	        		required : "上传目录不能为空",
	              }
			},
			showErrors: function(errorMap, errorList) {
	              var next = $(this.currentElements).next();
	              while(next.hasClass('errorMsg')) {
	                  next.remove();
	                  next = $(this.currentElements).next();
	              }
	              $(this.currentElements).removeClass('error');
	              $(this.currentElements).unbind('mouseover').unbind('mouseout');

	              if(errorList && errorList.length > 0){
	                  $.each(errorList, function(index, obj){
	                      $(obj.element).addClass('error');
	                      var msg = this.message;
	                      var em = $('<span class="errorMsg">{0}</span>'.format(msg));
	                      $(obj.element).after(em);
	                      $(obj.element).mouseover(function() {
	                          em.show();
	                      }).mouseout(function() {
	                          em.hide();
	                      });
	                  });
	              }

	          }
		});
	});
</script>