<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<form id="asconfig_ejbTimerHandler_form" name="asconfig_ejbTimerHandler_form">
	<table>
		<tr>
			<td>重发间隔(毫秒):</td>
			<td><input type="text" class="f2j" name="redeliveryInterval"
				id="redeliveryInterval" value="${model.redeliveryInterval}">
				<input type="hidden" class="f2j" name="ejbTimerEnable"
				id="ejbTimerEnable"  value="${model.ejbTimerEnable}">
				<span style="color:red">*</span>
				</td>
		</tr>
		<tr>
			<td>最大重发次数:</td>
			<td><input type="text" class="f2j" name="maxRedeliveries"
				id="maxRedeliveries"  value="${model.maxRedeliveries}">
				<span style="color:red">*</span>
				</td>
		</tr>
		<tr>
			<td>运行状态:</td>
			<td><c:choose>
					<c:when test='${model.stateString eq "Running"}'>
						<span style="color: green">${model.stateString}</span>
					</c:when>
					<c:otherwise>
						<span style="color: red">${model.stateString}</span>
					</c:otherwise>
				</c:choose></td>
		</tr>
	</table>
</form>
<script type="text/javascript">
	function ejbTimerHandler_Init() {
		$('#asconfig_ejbTimerHandler_form').validate(
				{
					validateOnEmpty : true,
					rules : {
						redeliveryInterval : {
							required : true,
							digits : true,
							min : 0
						},
						maxRedeliveries : {
							required : true,
							digits : true,
							min : 0
						}
					},
					messages : {
						redeliveryInterval : {
							required : '值不能为空!',
							digits : '请输入正整数!',
							min : '请输入正整数!'
						},
						maxRedeliveries : {
							required : '值不能为空!',
							digits : '请输入正整数!',
							min : '请输入正整数!'
						}
					},
					showErrors : function(errorMap, errorList) {
						var next = $(this.currentElements).next();
						while (next.hasClass('errorMsg')) {
							next.remove();
							next = $(this.currentElements).next();
						}
						$(this.currentElements).removeClass('error');
						$(this.currentElements).unbind('mouseover').unbind(
								'mouseout');
						if (errorList && errorList.length > 0) {
							$.each(errorList, function(index, obj) {
								$(obj.element).addClass('error');
								var msg = this.message;
								var em = $('<span class="errorMsg">{0}</span>'
										.format(msg));
								$(obj.element).after(em);
								$(obj.element).mouseover(function() {
									em.show();
								}).mouseout(function() {
									em.hide();
								});
							});
						}
					}
				});

	}
</script>
