<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<style type="text/css">
.t_col1 {
	line-height: 1.5em;
	width: 100px;
}

.t_padding {
	padding-left: 20px;
}
</style>
<div style="overflow: hidden; width: 100%; height: 100%;">
	<form id="asconfig_muxConfig_form"
		action="${contextPath}/protect/aasconfig/system/updateMuxConfig"
		method="post">
		<table style="margin: 10px;">
			<tr>
				<td class="t_col1">多路复用端口号:</td>
				<td><input type="text" id="multiplexingPort"
					name="multiplexingPort" value="${info.multiplexingPort}" /><font
					color="red">*</font></td>
				<td class="t_col1 t_padding">多路复用地址:</td>
				<td><input type="text" id="multiplexingAdress"
					name="multiplexingAdress" value="${info.multiplexingAdress}" /></td>
			</tr>
			<tr>
				<td class="t_col1">链接超时(秒):</td>
				<td><input type="text" name="overtimeLink"
					value="${info.overtimeLink}" /></td>
				<td class="t_col1 t_padding">最大等待客户数:</td>
				<td><input type="text" name="maxWaitingClient"
					value="${info.maxWaitingClient}" /></td>
			</tr>
			<tr>
				<td class="t_col1">客户超时(秒):</td>
				<td><input type="text" name="waitingClientOvertime"
					value="${info.waitingClientOvertime}" /></td>
				<td class="t_col1 t_padding">预读取超时(秒):</td>
				<td><input type="text" name="readOvertimeAhead"
					value="${info.readOvertimeAhead}" /></td>
			</tr>
			<tr>
				<td class="t_col1">Backlog:</td>
				<td><input type="text" name="backlog" value="${info.backlog}" /></td>
				<td class="t_col1 t_padding">开启Gzip:</td>
				<td><input type="checkbox" id="openGzip" name="openGzip"
					${info.openGzip ? 'checked="checked"':''} value="${info.openGzip}" /></td>
			</tr>
			<tr>
				<td class="t_col1">TCP_NODELAY:</td>
				<td><input type="checkbox" id="tcpNODELAY" name="tcpNODELAY"
					${info.tcpNODELAY ? 'checked="checked"':''}
					value="${info.tcpNODELAY}" /></td>
				<td class="t_col1 t_padding">运行状态:</td>
				<td><c:choose>
						<c:when test='${info.stateString eq "Running"}'>
							<span style="color: green">${info.stateString}</span>
						</c:when>
						<c:otherwise>
							<span style="color: red">${info.stateString}</span>
						</c:otherwise>
					</c:choose></td>
			</tr>
		</table>


		<div
			style="float: left; margin-top: 10px; margin-bottom: 10px; padding: 0; width: 250px; height: 1px; background-color: #99A8BC; overflow: hidden;">
		</div>
		<div style="float: left; color: #316AC5; text-align: center">
			<strong>SSL属性</strong>
		</div>
		<div
			style="float: left; margin-top: 10px; margin-bottom: 10px; padding: 0; width: 250px; height: 1px; background-color: #99A8BC; overflow: hidden;">
		</div>

		<table id="sslTable" style="margin: 10px;">
			<tr>
				<td class="logtitle">开启SSL:</td>
				<td colspan="3"><input type="checkbox" id="openSSL"
					name="openSSL" ${info.openSSL ? 'checked="checked"':''}
					value="${info.openSSL}" /></td>
			</tr>
			<tr>
				<td class="t_col1">单向认证端口:</td>
				<td><input type="text" name="singlePort"
					value="${info.singlePort}" /></td>
				<td class="t_col1 t_padding">客户端认证方式:</td>
				<td><input id="clientAuthentication"
					name="clientAuthentication" value="${info.clientAuthentication}" /></td>
			</tr>
			<tr>
				<td class="t_col1">密钥库路径:</td>
				<td><input type="text" name="keystorePath"
					value="${info.keystorePath}" /></td>
				<td class="t_col1 t_padding">SSL协议:</td>
				<td><input type="text" id="sslProtocol" name="sslProtocol"
					value="${info.sslProtocol}" /></td>
			</tr>
			<tr>
				<td class="t_col1">密钥库类型:</td>
				<td><input type="text" name="keystoreType"
					value="${info.keystoreType}" /></td>
				<td class="t_col1 t_padding">双向认证端口:</td>
				<td><input type="text" id="doublePort" name="doublePort"
					value="${info.doublePort}" /></td>
			</tr>
			<tr>
				<td class="t_col1">密钥库算法:</td>
				<td><input type="text" name="keystoreAlgorithm"
					value="${info.keystoreAlgorithm}" /></td>
				<td class="t_col1 t_padding">可信密钥库路径:</td>
				<td><input type="text" name="reliableKeystorePath" id="reliableKeystorePath"
					value="${info.reliableKeystorePath}" /></td>
			</tr>
			<tr>
				<td class="t_col1">密钥库密码:</td>
				<td><input type="password" name="keyStorePassword"
					value="${info.keyStorePassword}" autocomplete="off"/></td>
				<td class="t_col1 t_padding">可信密钥库类型:</td>
				<td><input type="text" name="reliableKeystoreType" id="reliableKeystoreType"
					value="${info.reliableKeystoreType}" /></td>
			</tr>
			<tr>
				<td class="t_col1">CRL路径:</td>
				<td><input type="text" name="crlPath" value="${info.crlPath}" /></td>
				<td class="t_col1 t_padding">可信密钥库算法:</td>
				<td><input type="text" name="reliableKeystoreAlgorithm" id="reliableKeystoreAlgorithm"
					value="${info.reliableKeystoreAlgorithm}" /></td>
			</tr>
			<tr>
				<td class="t_col1">CRL检查间隔:</td>
				<td><input type="text" name="checkCRLInterval"
					value="${info.checkCRLInterval}" /></td>
				<td class="t_col1 t_padding">可信密钥库密码:</td>
				<td><input type="text" name="reliableKeystorePassword" id="reliableKeystorePassword"
					value="${info.reliableKeystorePassword}" /></td>
			</tr>
		</table>
	</form>
</div>
