<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
		<form id="Jms_factory_param_form" name="Jms_factory_param_form" >
			<table align="center">
				<tr>
					<td>连接器名称：</td>
					<td>
						<c:choose>
							<c:when test='${opt eq "modify"}'>
								<input type="text" class="f2j" readonly="readonly"  name="name" id="name" value="${model.name }">
							</c:when>
							<c:otherwise>
								<input type="text" class="f2j" name="name" id="name" value="${model.name }">
							</c:otherwise>
						</c:choose>
						<span style="color:red">*</span>
					</td>
					<td>JNDI名：</td>
					<td>
						<input type="text" class="f2j" name="jndiName" id="jndiName" value="${model.jndiName eq null ? 'jms/': model.jndiName }">
						<span style="color:red">*</span>
					</td>
				</tr>
				<tr>
					<td>Client ID：</td>
					<td><input type="text" class="f2j" name="clientID" id="clientID" value="${model.clientID }"></td>
					<td>描述：</td>
					<td><input type="text" class="f2j" name="description" id="description" value="${model.description }"></td>
				</tr>
				<tr>
					<td>服务器地址：</td>
					<td><input type="text" class="f2j" name="serverName" id="serverName" value="${model.serverName }"></td>
					<td>服务器端口：</td>
					<td><input type="text" class="f2j" name="serverPort" id="serverPort" value="${(model.serverPort eq null )? '4888' : model.serverPort }"></td>
				</tr>
				<tr>
					<td>用户名称：</td>
					<td><input type="text" class="f2j" name="userName" id="userName" value="${model.userName }"></td>
					<td>密码：</td>
					<td><input type="password" autocomplete="off" class="f2j" name="password" id="password" value="${model.password }"></td>
				</tr>
				<tr>
					<td align="center" colspan="4"><span id="j_id61"
						style="font-size: small; color: #0066CC">高级属性</span>
						<hr
							style="width: 100%; height: 1px; border: none; border-top: 1px dashed #0066CC;" />
					</td>
				</tr>
				<tr>
					<td>缺省发送模式：</td>
					<td colspan="3"><input type="radio"  class="f2j" id="defaultDeliveryMode"
						value="2" name="defaultDeliveryMode" ${model.defaultDeliveryMode eq 2 ? 'checked' :'' } value="2" >
						持久模式 &nbsp; <input 
						type="radio"  class="f2j" id="defaultDeliveryMode" value="1"  ${model.defaultDeliveryMode eq 1 ? 'checked' :'' }
						name="defaultDeliveryMode"> 非持久模式</td>
				</tr>
				<tr>
					<td>缺省生存时间(秒):</td>
					<td><input type="text" class="f2j" name="defaultTimeToLive"
						id="defaultTimeToLive" value="${model.defaultTimeToLive eq null ?'0': model.defaultTimeToLive}"></td>
					<td>等待时间(秒)：</td>
					<td><input type="text" class="f2j" name="idleTimeout" id="idleTimeout" value="${model.idleTimeout eq null ?'300': model.idleTimeout}"></td>
				</tr>
				<tr>
					<td>是否匿名：</td>
					<td><input type="checkbox" class="f2j" name="anonymous" id="anonymous"  ${(model.anonymous eq null)|| (model.anonymous) ? 'checked' : ''}  ></td>
					<td>安全性：</td>
					<td><input type="checkbox" class="f2j" name="secure" id="secure" ${model.secure ? 'checked' : ''}></td>
				</tr>
				<tr>
					<td>最大连接数：</td>
					<td><input type="text" class="f2j" name="maxPoolSize" id="maxPoolSize" value="${model.maxPoolSize eq null ? 30 : model.maxPoolSize}"></td>
					<td>缺省优先级：</td>
					<td><input type="text" class="f2j" name="defaultPriority" id="defaultPriority" value="${model.defaultPriority eq null ? 4 : model.defaultPriority}"></td>
				</tr>
				<tr>
					<td>最大空闲连接数：</td>
					<td><input type="text" class="f2j" name="maxFreePoolSize" id="maxFreePoolSize" value="${model.maxFreePoolSize eq null ? 30 : model.maxFreePoolSize}"></td>
					<td>最小空闲连接数：</td>
					<td><input type="text" class="f2j" name="minFreePoolSize" id="minFreePoolSize" value="${model.minFreePoolSize eq null ? 5 : model.minFreePoolSize}"></td>
				</tr>
			</table>
			<input type="hidden" class="f2j" id="opt"  name="opt" value="${opt}">
		</form>