<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form id="jndi_resource_form" method="post" action="${pageContext.request.contextPath}/protect/jndi/saveJndiResource">
    <table class="tableUI">
    	<tr>
			<td class="tdLeft">资源名称：</td>
			<td class="tdRight">
				<input type="text" name="jndiName" class="inputUI"/>
			</td>
			<td class="tdLeft">资源类名：</td>
			<td class="tdRight">
				<input type="text" name="resourceType" class="inputUI"/>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">资源工厂：</td>
			<td class="tdRight">
				<input type="text" name="factoryClass" value="com.apusic.bridge.jndi.JNDICustomResourceFactory" class="inputUI"/>
			</td>
			<td class="tdLeft">是否单例：</td>
			<td class="tdRight">
				<select class="inputUI" name="singleton">
					<option value="true">是</option>
					<option value="false">否</option>
				</select>
			</td>
		</tr>
    </table>
    <fieldset>
        <legend>
            <span>构造函数参数列表：</span>
            <a onclick="addArgsAttr();">增加参数</a>
        </legend>
        <div style="height: 150px; overflow: auto">
        	<table id="argsTb" class="tableUI">
            	<thead>
                	<tr>
                    	<th class="att_key">参数类型</th>
                    	<th class="att_value">参数值</th>
                    	<th class="att_oper">操作</th>
                	</tr>
            	</thead>
            	<tbody>
            	</tbody>
        	</table>
        </div>
    </fieldset>
    <fieldset>
        <legend>
            <span>属性列表：</span>
            <a onclick="addAttr();">增加属性</a>
        </legend>
        <div style="height: 150px; overflow: auto">
        	<table id="attrTb" class="tableUI">
            	<thead>
                	<tr>
                    	<th class="att_key">属性名称</th>
                    	<th class="att_value">属性值</th>
                    	<th class="att_oper">操作</th>
                	</tr>
           		</thead>
            	<tbody>
            	</tbody>
        	</table>
        </div>
    </fieldset>
</form>
