<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form id="jndi_resource_form" method="post" action="${pageContext.request.contextPath}/protect/jndi/saveJndiMailResource">
    <input type="hidden" name="isUpdate" value="true"/>
    <table class="tableUI">
    	<tr>
			<td class="tdLeft">资源名称：</td>
			<td class="tdRight">
				<input type="text" name="jndiName" value="${model.jndiName}" class="inputUI" readonly="readonly" style="background:#CCCCCC"/>
			</td>
			<td class="tdLeft">资源类名：</td>
			<td class="tdRight">
				<input type="text" name="resourceType" value="javax.mail.Session" readonly="readonly" class="inputUI" style="background:#CCCCCC"/>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">邮件主机：</td>
			<td class="tdRight">
				<input type="text" name="mail.host" value="${model.bridgesMap['mail.host']}" class="inputUI"/>
			</td>
			<td class="tdLeft">默认用户：</td>
			<td class="tdRight">
				<input type="text" name="mail.user" value="${model.bridgesMap['mail.user']}" class="inputUI"/>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">默认邮件发件人地址：</td>
			<td class="tdRight">
				<input type="text" name="mail.from" value="${model.bridgesMap['mail.from']}" class="inputUI"/>
			</td>
			<td class="tdLeft">存储协议：</td>
			<td class="tdRight">
				<select name="mail.store.protocol" class="inputUI" onchange="changeMailStoreProtocol(this)">
					<c:if test="${'pop3' eq model.bridgesMap['mail.store.protocol']}">
						<option value="pop3" selected="selected">pop3</option>
						<option value="imap">imap</option>
					</c:if>
					<c:if test="${'imap' eq model.bridgesMap['mail.store.protocol']}">
						<option value="pop3">pop3</option>
						<option value="imap" selected="selected">imap</option>
					</c:if>
				</select>
			</td>
		</tr>
    	<tr>
			<td class="tdLeft">存储协议类：</td>
			<td class="tdRight">
				<c:if test="${empty model.bridgesMap['mail.pop3.class']}">
					<input type="text" value="${model.bridgesMap['mail.imap.class']}" id="mail_store_class" name="mail.store.class" class="inputUI"/>
				</c:if>
				<c:if test="${empty model.bridgesMap['mail.imap.class']}">
					<input type="text" value="${model.bridgesMap['mail.pop3.class']}" id="mail_store_class" name="mail.store.class" class="inputUI"/>
				</c:if>
			</td>
			<td class="tdLeft">传输协议：</td>
			<td class="tdRight">
				<select name="mail.transport.protocol" class="inputUI">
					<option value="smtp">smtp</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="tdLeft">传输协议类：</td>
			<td class="tdRight">
				<input type="text" name="mail.smtp.class" value="${model.bridgesMap['mail.smtp.class']}" class="inputUI"/>
			</td>
			<td class="tdLeft">调试模式：</td>
			<td class="tdRight">
				<select name="mail.debug" class="inputUI">
					<c:if test="${'false' eq model.bridgesMap['mail.debug']}">
						<option value="false" selected="selected">false</option>
						<option value="true">true</option>
					</c:if>
					<c:if test="${'true' eq model.bridgesMap['mail.debug']}">
						<option value="false">false</option>
						<option value="true" selected="selected">true</option>
					</c:if>
				</select>
			</td>
		</tr>
    </table>
    <fieldset>
        <legend>
            <span>其他属性：</span>
            <a onclick="addAttr();">增加属性</a>
        </legend>
        <div style="height: 150px; overflow: auto">
        	<table id="attrTb" class="tableUI">
            	<thead>
                	<tr>
                    	<th class="tdCenter">属性名称</th>
                    	<th class="tdCenter">属性值</th>
                    	<th class="tdCenter">操作</th>
                	</tr>
           		</thead>
            	<tbody>
           			<c:forEach items="${attrsMap}" var="p" varStatus="vs">
           				<tr> 
   							<td class="tdCenter"><input name="pName${vs.index}" value="${p.key}" type="text" class="inputUI"/></td>
   							<td class="tdCenter"><input name="pValue${vs.index}" value="${p.value}" type="text" class="inputUI"/></td>
   							<td class="tdCenter"><a onclick="removeAttr(this);">删除</a></td>
   	 					</tr>
           			</c:forEach>
            	</tbody>
        	</table>
        </div>
    </fieldset>
</form>