<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>jndi资源</title>

<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />

<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/swfobject.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<link rel="stylesheet" type="text/css"
    href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<script type="text/javascript" src="${resBase}/scripts/jndi/jndi-resource.js"></script>
</head>
<style type="text/css">
.om-buttonbar {
	border-bottom: none;
}
.om-grid div.bDiv > table tr.om-grid-row > td{vertical-align:middle;}
/* 设置input元素的垂直对齐方式 */
input{vertical-align:middle;}
/* 输入框、选择框的边框样式 */
.inputUI,.inputUI-medium,.inputUI-long {border:1px solid #86A3C4; vertical-align:middle; font-size:small \9;}
.inputUI:focus,.inputUI-medium:focus,.inputUI-long:focus {border-color:rgb(77,144,254); outline:none;}
/* 标准文本框样式 */
input.inputUI {width:140px; padding:2px;}
/* 中宽度文本框样式 */
input.inputUI-medium {width:280px; padding:2px;}
/* 长宽度文本框样式 */
input.inputUI-long {width:420px; padding:2px;}
/* 标准选择框样式 */
select.inputUI {width:140px; font-size:13px;}
/* 中宽度选择框样式 */
select.inputUI-medium {width:280px; font-size:13px;}
/* 长宽度选择框样式 */
select.inputUI-long {width:420px; font-size:13px;}
/* 标准文本区样式 */
textarea.inputUI {width:140px; padding:2px; overflow:auto; resize:none;}
/* 中宽度文本区样式 */
textarea.inputUI-medium {width:280px; padding:2px; overflow:auto; resize:none;}
/* 长宽度文本区样式 */
textarea.inputUI-long {width:420px; padding:2px; overflow:auto; resize:none;}
/** 表格样式 */
/** 标准的表格样式，用于常用的表格布局用此样式 */
.tableUI {border-collapse:collapse; empty-cells:show; table-layout:auto; width:100%;}
/* 设置表格的背景和边框 */
.tableUI > * > tr > td,.tableUI > * > tr > th{background-color:white; padding:4px 2px; border:1px solid #84bbf3;}
.tdLeft,.tdLeft4,.tableUI .tdLeft,.tableUI .tdLeft4 {text-align:right; background-color:#E8EEF7;}
.tdRight,.tdRight4,.tableUI .tdRight,.tableUI .tdRight4 {text-align:left;}
/** 表格列显示标签样式，用于2列表格 */
.tdLeft {width:30%;}
/**表格列显示标签右对齐样式，用于4列表格 */
.tdLeft4 {width:15%;}
/** 表格列显示内容左对齐样式，用于4列表格 */
.tdRight4 {width:35%;}
/** 表格列显示内容左对齐样式，用于4列表格 */
.tdRight[colspan="3"],.tdRight4[colspan="3"] {width:85%;}
/** 表格列显示内容左对齐样式，用于4列的表格 */
.tdCenter,.tableUI .tdCenter {text-align:center;}
/** 表格列显示描述内容样式，内容会自动换行 */
.tdContent,.tableUI .tdContent {text-align:left; white-space:pre-line; word-wrap:break-word; word-break:break-all;}

</style>
<body>
<div style="padding: 8px;">
	<input id="contextPath" value="${contextPath}" type="hidden" />
	<input id="resBase" value="${resBase}" type="hidden" />
	<div class="title-bk">JNDI资源</div>
    <div id="buttonbar" class="om-buttonbar"></div>
    <table id="jndi-resource-grid"></table>
    <div id="addJndiResourceDialog"></div>
</div>
</body>
</html>
