<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>监控</title>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />
<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<%@ include file="/WEB-INF/common-monitor/jqplot-js.jsp"%>
<script type="text/javascript" src="${resBase}/scripts/monitor/index-panel.js"></script>
<link rel="stylesheet" type="text/css" href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/main.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/monitor/config.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/app.css" />
<%@ include file="/WEB-INF/common-monitor/jqplot-css.jsp"%>
<script>
$(function() {
    window.$m = AASMonitor.panel;
    $m.baseUrl = '${contextPath}';
    $m.resUrl = '${resBase}';
    $m.panles = eval('${panels}');
    $m.fixLength = '${size}';
    var map = new AASMonitor.HashMap();
    map.put("DataSouceConnMonitorServiceImpl", "showDataSourceChart");
    map.put("VMClassloaderStatisticsImpl", "showClassLoaderChart");
    map.put("AASThreadMonitorServiceImpl", "showActiveThreadChart");
    map.put("AppSessionMonitorServiceImpl", "showAppSessionChart");
    map.put("VMemeryStatisticsImpl", "showMemoryChart");
    map.put("HttpConnectionServiceImpl", "showHttpActiveChart");
    map.put("JTAMonitorServiceImpl", "showJtaChart");
    map.put("AppCountMonitorServiceImpl", "showAppsCountChart");
    $m.watchMap=map;
    $m.initPanels();
 	// ie8及ie8以下防止内存泄露
	setInterval("reloadPage()", 3600000);
	$('#monitorButtonbar').omButtonbar({
		btns : [{
					label : "监控配置",
					id : "button1",
					icons : {
						left : '${resBase}'+'/images/setting.png'
					},
					onClick : function() {
						$m.showConfig();
					}
				},
            {
                separtor : true
            },
            {
                label : "监控回放",
                id : "button2",
                icons : {
                    left : '${resBase}'+'/images/nav/jms.gif'
                },
                onClick : function() {
                    window.location.href="${contextPath}/protect/monitor/playback";
                }
            }]
	});    
    
});
</script>
</head>
<body>
<div style="height: 100%; margin: 0px; padding: 0px;">

   <div id="monitorButtonbar"></div>
    
   <div id="contentPanel" style="width:100%; position: absolute; top:28px; bottom: 0px; overflow:auto;">
         <c:forEach  begin="1" end="${size}" varStatus="panel">
                 <div class="index_panel">
                    <div id="a${panel.count}" style="height:98%;"></div>
                 </div>  
                 <div class="index_panel index_panel_right">
                     <div id="b${panel.count}" style="height:98%;"></div>
                 </div>    
         </c:forEach>
   </div>
    
</div>
</body>
</html>
