<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>JVM内存监控</title>

<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />

<script type="text/javascript" src="${resBase}/scripts/jquery.min.js"></script>
<script type="text/javascript" src="${resBase}/scripts/om-ui.js"></script>
<script type="text/javascript" src="${resBase}/scripts/common.js"></script>
<%@ include file="/WEB-INF/common-monitor/jqplot-js.jsp"%>
<script type="text/javascript" src="${resBase}/scripts/monitor/jvm-monitor.js"></script>
<link rel="stylesheet" type="text/css" href="${resBase}/css/om-ui/om-apusic.css" />
<link rel="stylesheet" type="text/css" href="${resBase}/css/common.css" />
<%@ include file="/WEB-INF/common-monitor/jqplot-css.jsp"%>
<style type="text/css">
/** 解决表格最后一列与边缘间隔太多 **/
.om-grid div.hDivBox {
	float: left;
	padding-right: 10px;
}
</style>
</head>

<body>
	<input id="contextPath" value="${contextPath}" type="hidden"/>
    <input id="resBase" value="${resBase}" type="hidden"/>
    <input id="nonHeapNow" value="${nonHeap.nonHeapMemoryUsed}" type="hidden"/>
    <input id="nonHeapMax" value="${nonHeap.nonHeapMemoryMax}" type="hidden"/>
	<div style="padding: 8px">
		<div style="border:1px solid #9CCEFD;">
			<div style="height:320px; background-color: #FCFCFC;">
				<div id="memory-chart-inner" style="height:97%;"></div>
			</div>
	    </div>
	    <div class="ht_15"></div>
	    <table cellpadding="0" cellspacing="0" style="width: 100%;">
	        <tr>
	            <td width="40%" height="" style="border:1px solid #9CCEFD;">
	                <div style="background-color: #FCFCFC; width:97%;">
	                    <div class="jvm-title-text" style="text-align:center; width: 97%;">非堆内存</div>
                		<div id="non-heap-chart" style="width: 97%;"></div>
	                </div>
	            </td>
	            <td width="60%">
	                <div class="jvm-grid">
                		<table id="grid"></table>
            		</div>
	            </td>
	        </tr>
	    </table>
	</div>
</body>
</html>
