
	var contextPath="";
	var resBase="";
	$(document).ready(function() {
		contextPath = $("#contextPath").val();
		resBase = $("#resBase").val();
		
		$('#globalLogButtonbar').omButtonbar({
			btns : [{
						label : "保存",
						id : "button1",
						icons : {
							left : resBase + '/images/save.png'
						},
						onClick : function() {
							fastSaveGloLogger();
						}
					}, {
						separtor : true
					}, {
						label : "配置全局日志",
						id : "button3",
						icons : {
							left : resBase + '/images/setting.png'
						},
						onClick : function() {
							configGloLoggerClick();
						}
					}]
		});		
		
		
		$('#logGridButtonbar').omButtonbar({
			btns : [{
						label : "新增",
						id : "button1",
						icons : {
							left : resBase + '/images/add.png'
						},
						onClick : function() {
							addClick();
						}
					}]
		});		
		
	});
	
	
	
	$(function() {
		$('#grid-inner').omGrid({
	        limit:0,
	        height:340,
	        autoFit : true,
	        showIndex : false,
	        singleSelect : true,
	        emptyMsg : 'No data!',
	        dataSource : contextPath + '/protect/logconfig/getLoggersGird',
	        colModel : [ {header : '名称', name : 'name', width : 100, align : 'center'}, 
	                     {header : '日志级别', name : 'level', width : 120, align : 'center'}, 
	                     {header : '控制台输出', name : 'selectConsole', width : 120, align : 'center',
	                    	 renderer : function(colValue, rowData, rowIndex) {
	                    		 var result = "";
	                    		 if(colValue){
	                    			 result = "<img src='"+resBase+"/images/check.png' border='0px' alt='已开启' hspace='5' title='已开启控制台输出'></img>";
	                    		 }
	                    		 return result;
	                    	}
	                     },
	                     {header : '日期文件输出', name : 'selectDateFile', width : 120, align : 'center',
	                    	 renderer : function(colValue, rowData, rowIndex) {
	                    		 var result = "";
	                    		 if(colValue){
	                    			 result = "<img src='"+resBase+"/images/check.png' border='0px' alt='已开启' hspace='5' title='已开启日期文件输出'></img>";
	                    		 }
	                    		 return result;
	                    	}
	                      }, 
	                     {header : '日志文件输出', name : 'selectFile', width : 120, align : 'center',
	                    	 renderer : function(colValue, rowData, rowIndex) {
	                    		 var result = "";
	                    		 if(colValue){
	                    			 result = "<img src='"+resBase+"/images/check.png' border='0px' alt='已开启' hspace='5' title='已开启日志文件'></img>";
	                    		 }
	                    		 return result;
	                    	}	                    	  
	                     }, 
	                     {header : '端口输出', name : 'selectSocket', width : 120, align : 'center',
	                    	 renderer : function(colValue, rowData, rowIndex) {
	                    		 var result = "";
	                    		 if(colValue){
	                    			 result = "<img src='"+resBase+"/images/check.png' border='0px' alt='已开启' hspace='5' title='已开启端口输出'></img>";
	                    		 }
	                    		 return result;
	                    	}	                    	 
	                     }, 
	                     {header : '操作',  name : '', width : 80, align : 'center',
	                    	renderer : function(colValue, rowData, rowIndex) {
	                    	  var result = "";
	                    	  result += "&nbsp;&nbsp;<input type='image' src='"+resBase+"/images/edit-1.png'  onclick=\"editClick('"+rowData.name+"');\" title='编辑' />&nbsp;&nbsp;";
	                    	  if(rowData.name != 'default' && rowData.name != 'apusic'){
	                    		  result += "<input type='image' src='"+resBase+"/images/delete.png'  onclick=\"deleteClick('"+rowData.name+"');\" title='删除' />";
	                    	  }
	                          return result;
	                    	 }
	                     }]
	    });	
		
		checkedGlobalHandler();
		
	});

	function checkedGlobalHandler(){
		$.post(  contextPath + "/protect/logconfig/getGlobalHandlerBean",null,
			function(data,status){
		 	var testJson = eval("(" + data + ")");
			if(testJson.selectClientIP){
				$("[id=globalCheckbox][value=clientIP]:checkbox").attr("checked", true);	
			}else{
				$("[id=globalCheckbox][value=clientIP]:checkbox").attr("checked", false);	
			}
		 	if(testJson.selectConsole){
		 		$("[id=globalCheckbox][value=console]:checkbox").attr("checked", true);
		 	}else{
		 		$("[id=globalCheckbox][value=console]:checkbox").attr("checked", false);
		 	}
			if(testJson.selectWebCons){
				$("[id=globalCheckbox][value=webConsole]:checkbox").attr("checked", true);
		 	}else{
		 		$("[id=globalCheckbox][value=webConsole]:checkbox").attr("checked", false);
		 	}
			if(testJson.selectDateFile){
				$("[id=globalCheckbox][value=dateFile]:checkbox").attr("checked", true);	 		
			}else{
				$("[id=globalCheckbox][value=dateFile]:checkbox").attr("checked", false);		 		
			}
			if(testJson.selectFile){
				$("[id=globalCheckbox][value=file]:checkbox").attr("checked", true);	
			}else{
				$("[id=globalCheckbox][value=file]:checkbox").attr("checked", false);	
			}
		});
	}	
	
	function selectCheckbox(id,checkFlag){
		if(checkFlag){
			$("[id="+id+"-input]:input").attr("disabled",false);
			if("checkbox-socket" == id){
				$("[name=socketHandler\\.port]:input").after("<span class='color_red'>*</span>");
				$("[name=socketHandler\\.host]:input").after("<span class='color_red'>*</span>");
			}
		}else{
			$("[id="+id+"-input]:input").attr("disabled",true);
			$("[id="+id+"-input]:input").nextAll().remove();
			$("[id="+id+"-input]:input").removeClass('error');
		}
	}	
	
	
	function fastSaveGloLogger() {
	    var str = "";
	    $("input[id='globalCheckbox']:checkbox:checked").each(function(){ 
	          str += $(this).val()+",";
	    });
	    $.ajax({
	    	dataType : "text",
	        url: contextPath + '/protect/logconfig/fastSaveGloLogger',
	        data: { checkValues: str },
	        success: function(data) {
	        	if(data == "success"){
					showErrorTip("保存成功,需要重启后生效","success");
				}else{
					showErrorTip("保存失败","error");
				}
	        }
	    }); 
	}
	
	function editClick(logName){
	    $.ajax({
	        url: contextPath + '/protect/logconfig/showLoggerWindow',
	        data: {logName: logName, operateType: 'edit'},
	        success: function(data) {
	        	var d = $('<div id="addLogWindow" style="background-color: #FFFFFF;"/>').appendTo($(document.body));
	            d.html(data).omDialog({
	                autoOpen: true,
	                height: 520,
	                width: 770,
	                modal: true,
	                title: '配置日志信息',
	                onClose: function() {
	                    d.omDialog('destroy');
	                    d.remove();
	                },
		            buttons : [ {
						text : "保存",
						click : function() {
							saveLog(d,'edit');
						}
					}, {
						text : "取消",
						click : function() {
							d.omDialog('destroy');
							d.remove();
						}
					} ],
					onOpen : function(event) {
						var conso =$("[id=checkbox-console]:checkbox").attr('checked');
						if(conso){
							$("[id=checkbox-console]:checkbox").attr("checked", true);
							$("[id=checkbox-console-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-console-input]:input").attr("disabled",true);
						}
						
						var dateFile =$("[id=checkbox-dateFile]:checkbox").attr('checked');
						if(dateFile){
							$("[id=checkbox-dateFile]:checkbox").attr("checked", true);
							$("[id=checkbox-dateFile-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-dateFile-input]:input").attr("disabled",true);
						}
						
						var file =$("[id=checkbox-file]:checkbox").attr('checked');
						if(file){
							$("[id=checkbox-file]:checkbox").attr("checked", true);
							$("[id=checkbox-file-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-file-input]:input").attr("disabled",true);
						}
						
						var socket =$("[id=checkbox-socket]:checkbox").attr('checked');
						if(socket){
							$("[id=checkbox-socket]:checkbox").attr("checked", true);
							$("[id=checkbox-socket-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-socket-input]:input").attr("disabled",true);
						}
					}					
	            });
	        }
	    });
	}
	
	function addClick(){
	    $.ajax({
	        url: contextPath + '/protect/logconfig/showLoggerWindow',
	        data: {logName: '', operateType: 'add'},
	        success: function(data) {
	        	var d = $('<div id="editLogWindow" style="background-color: #FFFFFF;"/>').appendTo($(document.body));
	            d.html(data).omDialog({
	                autoOpen: true,
	                height: 520,
	                width: 770,
	                modal: true,
	                title: '配置日志信息',
	                onClose: function() {
	                    d.omDialog('destroy');
	                    d.remove();
	                },
		            buttons : [ {
						text : "保存",
						click : function() {
							saveLog(d,'add');
						}
					}, {
						text : "取消",
						click : function() {
							d.omDialog('destroy');
							d.remove();
						}
					} ],
					onOpen : function(event) {
						$("[id=checkbox-console-input]:input").attr("disabled",true);
						$("[id=checkbox-dateFile-input]:input").attr("disabled",true);
						$("[id=checkbox-file-input]:input").attr("disabled",true);
						$("[id=checkbox-socket-input]:input").attr("disabled",true);
					}
	            });
	        }
	    });
	}
	
	function configGloLoggerClick(){
	    $.ajax({
	        url: contextPath + '/protect/logconfig/showGlobalLoggerWindow',
	        success: function(data) {
	        	var d = $('<div id="logWindow" style="background-color: #FFFFFF;"/>').appendTo($(document.body));
	            d.html(data).omDialog({
	                autoOpen: true,
	                height: 590,
	                width: 780,
	                modal: true,
	                title: '配置全局日志属性',
	                onClose: function() {
	                    d.omDialog('destroy');
	                    d.remove();
	                },
		            buttons : [ {
						text : "保存",
						click : function() {
							saveGlobalLogger(d);
						}
					}, {
						text : "取消",
						click : function() {
							d.omDialog('destroy');
							d.remove();
						}
					} ],
					onOpen : function(event) {
						var conso =$("[id=checkbox-console]:checkbox").attr('checked');
						if(conso){
							$("[id=checkbox-console]:checkbox").attr("checked", true);
							$("[id=checkbox-console-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-console-input]:input").attr("disabled",true);
						}
						
						var webConso =$("[id=checkbox-webConsole]:checkbox").attr('checked');
						if(webConso){
							$("[id=checkbox-webConsole]:checkbox").attr("checked", true);
							$("[id=checkbox-webConsole-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-webConsole-input]:input").attr("disabled",true);
						}
						
						var dateFile =$("[id=checkbox-dateFile]:checkbox").attr('checked');
						if(dateFile){
							$("[id=checkbox-dateFile]:checkbox").attr("checked", true);
							$("[id=checkbox-dateFile-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-dateFile-input]:input").attr("disabled",true);
						}
						
						var file =$("[id=checkbox-file]:checkbox").attr('checked');
						if(file){
							$("[id=checkbox-file]:checkbox").attr("checked", true);
							$("[id=checkbox-file-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-file-input]:input").attr("disabled",true);
						}
						
						var socket =$("[id=checkbox-socket]:checkbox").attr('checked');
						if(socket){
							$("[id=checkbox-socket]:checkbox").attr("checked", true);
							$("[id=checkbox-socket-input]:input").attr("disabled",false);
						}else{
							$("[id=checkbox-socket-input]:input").attr("disabled",true);
						}
					}
	            });
	        }
	    });
	}	
	
	function saveLog(d,operateType) {
		var flag = validateLogForm();
		if(flag){
			$.ajax({
				type : "post",
				async:false,
				dataType : "text",
				url : contextPath + "/protect/logconfig/saveLogConfig?operateType="+operateType,
				data : AASMonitor.FormToJSON.formToJSON($('#logConfig_form')),
				complete : function() {
				},
				error: function(){
					showErrorTip("配置失败！","error");
					d.omDialog('destroy');
					d.remove();
				},
				success : function(data) {
					if(data=="success"){
						showErrorTip("配置成功","success");
						$('#grid-inner').omGrid("reload");
					}else{
						showErrorTip(data,"error");
						$('#grid-inner').omGrid("reload");
					}
					d.omDialog('destroy');
					d.remove();					
				}
			});			
		}else{
			return false;
		}
	}
	
	function validateLogForm(){
		var flag = $('#logConfig_form').validate({
		    rules : {
		    	logName : {
		    		required : true
		    	},
		        "dateFileHandler.count" :{
		        	digits : true
		        },
		        "dateFileHandler.limit" : {
		        	digits : true
		        },
		        "fileHandler.count" : {
		        	digits : true
		        },
		        "fileHandler.limit" : {
		        	digits : true
		        },
		        "socketHandler.port" : {
		            required : true,
		            digits : true,
		            max : 65535
		        },
		        "socketHandler.host" : {
		        	required : true
		        }
		    },
		    messages : {
		    	logName : {
		    		required : '日志名称为必填项'
		    	},
		        "dateFileHandler.count" :{
		        	digits : '必须输入正整数'
		        },
		        "dateFileHandler.limit" : {
		        	digits : '必须输入正整数'
		        },
		        "fileHandler.count" : {
		        	digits : '必须输入正整数'
		        },
		        "fileHandler.limit" : {
		        	digits : '必须输入正整数'
		        },
		        "socketHandler.port" : {
		            required : '目标TCP端口为必填项',
		            digits : '必须输入正整数',
		            max : '范围是0～65535'
		        },
		        "socketHandler.host" : {
		        	required : '目标主机名称为必填项'
		        }
		    },
		    showErrors: function(errorMap, errorList) {
		        var next = $(this.currentElements).next();
		        while(next.hasClass('errorMsg')) {
		            next.remove();
		            next = $(this.currentElements).next();
		        }
		        $(this.currentElements).removeClass('error');
		        $(this.currentElements).unbind('mouseover').unbind('mouseout');
		        if(errorList && errorList.length > 0){
		            $.each(errorList, function(index, obj){
		                $(obj.element).addClass('error');
		                var msg = this.message;
		                var em = $('<span class="errorMsg">{0}</span>'.format(msg));
		                $(obj.element).after(em);
		                $(obj.element).mouseover(function() {
		                    em.show();
		                }).mouseout(function() {
		                    em.hide();
		                });
		            });
		        }
		    }
		}).form();
		return flag;
	}	
	
	function saveGlobalLogger(d){
		var flag = validateGlobaLoglForm();
		if(flag){
			$.ajax({
				type : "post",
				async:false,
				dataType : "text",
				url : contextPath + "/protect/logconfig/saveGlobalLogConfig",
				data : AASMonitor.FormToJSON.formToJSON($('#globalLogConfig_form')),
				complete : function() {
				},
				error: function(){
					showErrorTip("配置失败！","error");
					d.omDialog('destroy');
					d.remove();
				},
				complete : function() {
					checkedGlobalHandler();
				},
				success : function(data) {
					if(data=="success"){
						showErrorTip("配置成功","success");
					}else{
						showErrorTip(data,"error");
					}
					d.omDialog('destroy');
					d.remove();
				}
			});			
		}else{
			return false;
		}
	}
	
	function validateGlobaLoglForm(){
		var flag = $('#globalLogConfig_form').validate({
		    rules : {
		        "dateFileHandler.count" :{
		        	digits : true
		        },
		        "dateFileHandler.limit" : {
		        	digits : true
		        },
		        "fileHandler.count" : {
		        	digits : true
		        },
		        "fileHandler.limit" : {
		        	digits : true
		        },
		        "socketHandler.port" : {
		            required : true,
		            digits : true,
		            max : 65535
		        },
		        "socketHandler.host" : {
		        	required : true
		        }
		    },
		    messages : {
		        "dateFileHandler.count" :{
		        	digits : '必须输入正整数'
		        },
		        "dateFileHandler.limit" : {
		        	digits : '必须输入正整数'
		        },
		        "fileHandler.count" : {
		        	digits : '必须输入正整数'
		        },
		        "fileHandler.limit" : {
		        	digits : '必须输入正整数'
		        },
		        "socketHandler.port" : {
		            required : '目标TCP端口为必填项',
		            digits : '必须输入正整数',
		            max : '范围是0～65535'
		        },
		        "socketHandler.host" : {
		        	required : '目标主机名称为必填项'
		        }
		    },
		    showErrors: function(errorMap, errorList) {
		        var next = $(this.currentElements).next();
		        while(next.hasClass('errorMsg')) {
		            next.remove();
		            next = $(this.currentElements).next();
		        }
		        $(this.currentElements).removeClass('error');
		        $(this.currentElements).unbind('mouseover').unbind('mouseout');
		        if(errorList && errorList.length > 0){
		            $.each(errorList, function(index, obj){
		                $(obj.element).addClass('error');
		                var msg = this.message;
		                var em = $('<span class="errorMsg">{0}</span>'.format(msg));
		                $(obj.element).after(em);
		                $(obj.element).mouseover(function() {
		                    em.show();
		                }).mouseout(function() {
		                    em.hide();
		                });
		            });
		        }
		    }
		}).form();
		return flag;
	}	
	
	
	/*确认删除日志*/
	function deleteClick(logName) {
		$("#dialog-confirm").text("确认要删除日志："+logName+" ？");
	    $( "#dialog-confirm" ).omDialog({
	        autoOpen : false, 
	        resizable: false,
	        height:140,
	        modal: false,
	        buttons: [{
	            text : "确认", 
	            click : function () {
	                $("#dialog-confirm" ).omDialog("close");
	                delLogger(logName);
	            }
	        }, {
	            text : "取消", 
	            click : function () {
	                $("#dialog-confirm" ).omDialog("close");
	            }
	        }]
	    });
	
	    $( "#dialog-confirm" ).omDialog("open");
	}
	
	/*删除日志*/
	function delLogger(logName) {
		$.ajax({
			type : "post",
			async:false,
			dataType : "text",
			url : contextPath + "/protect/logconfig/delLogger",
			data: {logName: logName},
			error: function(){
				showErrorTip("删除失败","error");
			},
			success : function(data) {
				$('#grid-inner').omGrid("reload");
				if(data == "success"){
					showErrorTip("删除成功","success");
				}else{
					showErrorTip("删除失败","error");
				}
			}
		});
	}
	
	function checkInput(name){
		var v = $("[name="+name+"]:input").val();
		v = v.replace(/^\s+|\s+$/g,"");
		$("[name="+name+"]:input").val(v);
	}	 
	
	function showErrorTip(msg,type) {	
		$.omMessageTip.show({
			type : type,
			title : '提示信息',
			content : msg,
			timeout : 4000
		});
	}
