(function(M) {
	M.monitorConfig={
	   baseUrl : '',

	   backIndex:function(){
	   	   window.location.href=this.baseUrl+"/protect/monitor";
	   },
	   
	   bindAllStartEvents:function(){
	   	 $(".config_color_green").text("停止").attr("class","config_color_red");
	   	 $("#contentPanel :button[class='control']").val("启动监控").unbind('click').removeAttr('onclick');
	   	 $("#contentPanel :button[class='control']").each(function(){
	   	     $(this).click(function(){
                $m.startMonitor($(this).attr("ha"),this);
              });
	   	 });
	   	    
	   	 
	   },
	   bindAllShutDownEvents:function(){
	   	  $(".config_color_red").text("启动").attr("class","config_color_green");
          $("#contentPanel :button[class='control']").val("停止监控").unbind('click').removeAttr('onclick');
          $("#contentPanel :button[class='control']").each(function(){
             $(this).click(function(){
               $m.shutDownMonitor($(this).attr("ha"),this);
            });
         });
       },
	   
	   startAllMonitor:function(obj){
	   	$.ajax({
                url : this.baseUrl + '/protect/monitor/startAllMonitor',
                type : "get",
                dataType : "json",
                success : function(data) {
                    if (data == "success") {
                       AASMonitor.info("启动成功！");
                       $(obj).attr("disabled",true);
                       $("#shutAll").attr("disabled",false);
                       $m.bindAllShutDownEvents();
                    } else {
                        AASMonitor.error("启动失败！");
                    }

                },
                error : function() {
                      AASMonitor.error("启动失败！");
                }
            });
	   	
	   },
	   shutdownAllMonitor:function(obj){
	   	   $.ajax({
                url : this.baseUrl + '/protect/monitor/shutDownAllMonitor',
                type : "get",
                dataType : "json",
                success : function(data) {
                    if (data == "success") {
                       AASMonitor.info("停止成功！");
                       $(obj).attr("disabled",true);
                       $("#startAll").attr("disabled",false);
                       $m.bindAllStartEvents();
                    } else {
                        AASMonitor.error("停止失败！");
                    }

                },
                error : function() {
                      AASMonitor.error("停止失败！");
                }
            });
	   },
	   startMonitor:function(name,obj){
        	   	$.ajax({
                        url : this.baseUrl + '/protect/monitor/startMonitor',
                        type : "get",
                        dataType : "json",
                        data:{serviceName:name},
                        success : function(data) {
                            if (data == "success") {
                                AASMonitor.info("启动成功！");
                                $(obj).val("停止监控");
                                $(obj).unbind('click').removeAttr('onclick');
                                $(obj).click(function(){
                                    $m.shutDownMonitor(name,obj);
                                });
                                $(obj).parent().parent().prev().find(".config_color_red").text("启动").attr("class","config_color_green");
                            } else {
                                AASMonitor.error("启动失败！");
                            }
        
                        },
                        error : function() {
                              AASMonitor.error("启动异常！");
                        }
                    });
	   },
	   shutDownMonitor:function(name,obj){
	   	       $.ajax({
                url : this.baseUrl + '/protect/monitor/shutDownMonitor',
                type : "get",
                dataType : "json",
                data:{serviceName:name},
                success : function(data) {
                    if (data == "success") {
                       AASMonitor.info("停止成功！");
                       $(obj).val("启动监控");
                       $(obj).unbind('click').removeAttr('onclick');
                       $(obj).click(function(){
                              $m.startMonitor(name,obj);
                          });
                       $(obj).parent().parent().prev().find(".config_color_green").text("停止").attr("class","config_color_red");   
                    } else {
                        AASMonitor.error("停止失败！");
                    }

                },
                error : function() {
                      AASMonitor.error("停止失败！");
                }
            });
	   },
	   addToPanel:function(name,obj){
    	   	 $.ajax({
                    url : this.baseUrl + '/protect/monitor/addToPanel',
                    type : "get",
                    dataType : "json",
                    data:{serviceName:name},
                    success : function(data) {
                        if (data == "success") {
                           AASMonitor.info("添加成功！");
                           $(obj).val("从概要移除");
                           $(obj).unbind('click').removeAttr('onclick');
                           $(obj).click(function(){
                            $m.removeFromPanel(name,obj);
                           });
                        } else {
                            AASMonitor.error("添加失败！");
                        }
    
                    },
                    error : function() {
                          AASMonitor.error("添加异常！");
                    }
                });
	   },
	   removeFromPanel:function(name,obj){
    	   	 $.ajax({
                    url : this.baseUrl + '/protect/monitor/removeFromPanel',
                    type : "get",
                    dataType : "json",
                    data:{serviceName:name},
                    success : function(data) {
                        if (data == "success") {
                           AASMonitor.info("移除成功！");
                           $(obj).val("添加至概要");
                           $(obj).unbind('click').removeAttr('onclick');
                           $(obj).click(function(){
                            $m.addToPanel(name,obj);
                           });
                        } else {
                            AASMonitor.error("移除失败！");
                        }
    
                    },
                    error : function() {
                          AASMonitor.error("移除异常！");
                    }
                });
    	   }
	
	};
})(AASMonitor);
